Index: chapter06/aboutdebug.xml
===================================================================
--- chapter06/aboutdebug.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/aboutdebug.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -38,5 +38,5 @@
 
 <para>To remove debugging symbols from a binary (which must be an a.out
-or ELF binary), run <userinput>strip --strip-debug filename</userinput>.
+or ELF binary), run <command>strip --strip-debug filename</command>.
 Wildcards can be used to treat multiple files (use something like
 <userinput>strip --strip-debug $LFS/tools/bin/*</userinput>).</para>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/bash.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -40,5 +40,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>And reload the newly compiled <userinput>bash</userinput> program:</para>
+<para>And reload the newly compiled <command>bash</command> program:</para>
 
 <screen><userinput>exec /bin/bash --login +h</userinput></screen>
Index: chapter06/bzip2.xml
===================================================================
--- chapter06/bzip2.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/bzip2.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -5,5 +5,5 @@
 <para>The Bzip2 package contains programs for compressing and decompressing
 files. On text files they achieve a much better compression than the
-traditional <userinput>gzip</userinput>.</para>
+traditional <command>gzip</command>.</para>
 
 <screen>&buildtime; &bzip2-time;
@@ -35,5 +35,5 @@
 <para>If you are reinstalling Bzip2, you will now first have to do
 <userinput>rm -f /usr/bin/bz*</userinput>, otherwise the following
-<userinput>make install</userinput> will fail.</para>
+<command>make install</command> will fail.</para>
 
 <para>Install the programs:</para>
@@ -41,5 +41,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>And install the shared <userinput>bzip2</userinput> binary into the
+<para>And install the shared <command>bzip2</command> binary into the
 <filename class="directory">/bin</filename> directory, then make some
 necessary symbolic links, and clean up:</para>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/chapter06.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -69,11 +69,10 @@
 the packages we need. Before you can chroot, however, you need to become
 <emphasis>root</emphasis>, since only <emphasis>root</emphasis>
-can execute the <userinput>chroot</userinput> command.</para>
+can execute the <command>chroot</command> command.</para>
 
 <para>Just like earlier, ensure the LFS environment variable is set up properly
 by running <userinput>echo $LFS</userinput> and ensuring it shows the path to
 your LFS partition's mount point, which is
-<filename class="directory">/mnt/lfs</filename> if you followed our
-example.</para>
+<filename class="directory">/mnt/lfs</filename> if you followed our example.</para>
 
 <para>Become <emphasis>root</emphasis> and run the following command
@@ -85,10 +84,10 @@
 &nbsp;&nbsp;&nbsp;&nbsp;/tools/bin/bash --login +h</userinput></screen>
 
-<para>The <userinput>-i</userinput> option given to the
-<userinput>env</userinput> command will clear all variables of the chroot
+<para>The <emphasis>-i</emphasis> option given to the
+<command>env</command> command will clear all variables of the chroot
 environment. After that, only the HOME, TERM, PS1 and PATH variables are
 set again. The TERM=$TERM construct will set the TERM variable inside chroot
 to the same value as outside chroot; this variable is needed for programs
-like <userinput>vim</userinput> and <userinput>less</userinput> to operate
+like <command>vim</command> and <command>less</command> to operate
 properly. If you need other variables present, such as CFLAGS or CXXFLAGS,
 this is a good place to set them again.</para>
@@ -104,6 +103,6 @@
 as soon as its final version is installed. Well, at least when the shell
 doesn't remember the locations of executed binaries -- for this reason hashing
-is switched off by passing the <userinput>+h</userinput> option to
-<userinput>bash</userinput>.</para>
+is switched off by passing the <emphasis>+h</emphasis> option to
+<command>bash</command>.</para>
 
 <para>You have to make sure all the commands in the rest of this chapter and
@@ -282,13 +281,13 @@
 <screen><userinput>exec /tools/bin/bash --login +h</userinput></screen>
 
-<para>Note the use of the <userinput>+h</userinput> directive. This tells
-<userinput>bash</userinput> not to use its internal path hashing. Without this
-directive, <userinput>bash</userinput> would remember the paths to binaries it
+<para>Note the use of the <emphasis>+h</emphasis> directive. This tells
+<command>bash</command> not to use its internal path hashing. Without this
+directive, <command>bash</command> would remember the paths to binaries it
 has executed. Since we want to use our newly compiled binaries as soon as
 they are installed, we turn off this function for the duration of this
 chapter.</para>
 
-<para>The <userinput>login</userinput>, <userinput>agetty</userinput> and
-<userinput>init</userinput> programs (and some others) use a number of log
+<para>The <command>login</command>, <command>agetty</command> and
+<command>init</command> programs (and some others) use a number of log
 files to record information such as who was logged into the system and when.
 These programs, however, won't write to the log files if they don't already
@@ -342,5 +341,5 @@
 against the libraries in <filename>/usr/lib</filename> and
 <filename>/lib</filename>. The extra
-<userinput>INSTALL=/tools/bin/install</userinput> is needed because the Makefile
+<emphasis>INSTALL=/tools/bin/install</emphasis> is needed because the Makefile
 created during the second pass still contains the reference to
 <filename>/usr/bin/install</filename>, which we obviously haven't installed yet.
Index: chapter06/config-glibc.xml
===================================================================
--- chapter06/config-glibc.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/config-glibc.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -55,5 +55,5 @@
 
 <para>Of course, instead of <emphasis>Canada/Eastern</emphasis>, fill in
-the name of the time zone that the <userinput>tzselect</userinput> script
+the name of the time zone that the <command>tzselect</command> script
 gave you.</para>
 
Index: chapter06/config-shadowpwd.xml
===================================================================
--- chapter06/config-shadowpwd.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/config-shadowpwd.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -24,6 +24,6 @@
 <para>Under normal circumstances, you won't have created any passwords yet.
 However, if returning to this section to enable shadowing, you should reset any
-current user passwords with the <userinput>passwd</userinput> command or any
-group passwords with the <userinput>gpasswd</userinput> command.</para>
+current user passwords with the <command>passwd</command> command or any
+group passwords with the <command>gpasswd</command> command.</para>
 </sect2>
 
Index: chapter06/config-vim.xml
===================================================================
--- chapter06/config-vim.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/config-vim.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -3,8 +3,8 @@
 <sect2><title>Configuring Vim</title>
 
-<para>By default, <userinput>vim</userinput> runs in vi-compatible mode. Some
-people might like this, but we prefer to run <userinput>vim</userinput> in its
+<para>By default, <command>vim</command> runs in vi-compatible mode. Some
+people might like this, but we prefer to run <command>vim</command> in its
 own mode (else we wouldn't have included it in this book, but the original
-<userinput>vi</userinput>). Create a default vim configuration file by running
+<command>vi</command>). Create a default vim configuration file by running
 the following:</para>
 
@@ -19,9 +19,9 @@
 <userinput>EOF</userinput></screen>
 
-<para>The <userinput>set nocompatible</userinput> will make
-<userinput>vim</userinput> behave in a more useful way than the default
-vi-compatible manner. The <userinput>set backspace=2</userinput> allows
+<para>The <emphasis>set nocompatible</emphasis> will make
+<command>vim</command> behave in a more useful way than the default
+vi-compatible manner. The <emphasis>set backspace=2</emphasis> allows
 backspacing over line breaks, autoindent and the start of insert. And the
-<userinput>syntax on</userinput> switches on <userinput>vim</userinput>'s
+<emphasis>syntax on</emphasis> switches on <command>vim</command>'s
 semantic colouring.</para>
 
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/coreutils.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -21,6 +21,6 @@
 <screen><userinput>patch -Np1 -i ../&coreutils-posixver-patch;</userinput></screen>
 
-<para>Normally the functionality of <userinput>uname</userinput> is somewhat
-broken, in that the <userinput>-p</userinput> switch always returns "unknown".
+<para>Normally the functionality of <command>uname</command> is somewhat
+broken, in that the <emphasis>-p</emphasis> switch always returns "unknown".
 The following patch fixes this behaviour for Intel architectures:</para>
 
@@ -28,5 +28,5 @@
 
 <para>We do not want Coreutils to install its version of the
-<userinput>hostname</userinput> program, because it is inferior to the version
+<command>hostname</command> program, because it is inferior to the version
 provided by Net-tools. Prevent its installation by applying a patch:</para>
 
@@ -41,5 +41,5 @@
 <screen><userinput>make</userinput></screen>
 
-<para>The <userinput>su</userinput> program from Coreutils wasn't installed in
+<para>The <command>su</command> program from Coreutils wasn't installed in
 Chapter 5 because it needed <emphasis>root</emphasis> privilege to do so. We're
 going to need it in a few moments for the test suite. Therefore we work around
Index: chapter06/flex.xml
===================================================================
--- chapter06/flex.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/flex.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -40,8 +40,8 @@
 <screen><userinput>ln -s libfl.a /usr/lib/libl.a</userinput></screen>
 
-<para>A few programs don't know about <userinput>flex</userinput> yet and try
-to run its predecessor <userinput>lex</userinput>. To support those programs,
+<para>A few programs don't know about <command>flex</command> yet and try
+to run its predecessor <command>lex</command>. To support those programs,
 create a shell script named <filename>lex</filename> that calls
-<userinput>flex</userinput> in Lex emulation mode:</para>
+<command>flex</command> in Lex emulation mode:</para>
 
 <screen><userinput>cat &gt; /usr/bin/lex &lt;&lt; "EOF"</userinput>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/gcc.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -87,5 +87,5 @@
 <screen><userinput>ln -s ../usr/bin/cpp /lib</userinput></screen>
 
-<para>Many packages use the name <userinput>cc</userinput> to call the C
+<para>Many packages use the name <command>cc</command> to call the C
 compiler. To satisfy those packages, create a symlink:</para>
 
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/glibc.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -92,5 +92,5 @@
 <para>An alternative to running the previous command is to install only those
 locales which you need or want. This can be achieved by using the
-<userinput>localedef</userinput> command. Information on this can be found in
+<command>localedef</command> command. Information on this can be found in
 the <filename>INSTALL</filename> file in the Glibc source. However, there are
 a number of locales that are essential for the tests of future packages to
Index: chapter06/groff.xml
===================================================================
--- chapter06/groff.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/groff.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -33,5 +33,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>Some documentation programs, such as <userinput>xman</userinput>,
+<para>Some documentation programs, such as <command>xman</command>,
 will not work properly without the following symlinks:</para>
 
Index: chapter06/gzip.xml
===================================================================
--- chapter06/gzip.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/gzip.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -21,6 +21,6 @@
 <screen><userinput>./configure --prefix=/usr</userinput></screen>
 
-<para>The <userinput>gzexe</userinput> script has the location of the
-<userinput>gzip</userinput> binary hard-wired into it. Because we later change
+<para>The <command>gzexe</command> script has the location of the
+<command>gzip</command> binary hard-wired into it. Because we later change
 the location of the binary, the following command assures that the new
 location gets placed into the script:</para>
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/inetutils.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -62,5 +62,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>And move the <userinput>ping</userinput> program to its proper place:</para>
+<para>And move the <command>ping</command> program to its proper place:</para>
 
 <screen><userinput>mv /usr/bin/ping /bin</userinput></screen>
Index: chapter06/kbd.xml
===================================================================
--- chapter06/kbd.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/kbd.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -16,6 +16,6 @@
 <title>Installation of Kbd</title>
 
-<para>By default some of Kbd's utilities (<userinput>setlogcons</userinput>,
-<userinput>setvesablank</userinput> and <userinput>getunimap</userinput>) are
+<para>By default some of Kbd's utilities (<command>setlogcons</command>,
+<command>setvesablank</command> and <command>getunimap</command>) are
 not installed. First enable the compilation of these utilities:</para>
 
Index: chapter06/lfs-utils.xml
===================================================================
--- chapter06/lfs-utils.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/lfs-utils.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -24,5 +24,5 @@
 <itemizedlist>
 <listitem><para><userinput>--with-libc</userinput>: This causes the
-<userinput>mktemp</userinput> program to use the <emphasis>mkstemp</emphasis>
+<command>mktemp</command> program to use the <emphasis>mkstemp</emphasis>
 and <emphasis>mkdtemp</emphasis> functions from the system C
 library.</para></listitem>
Index: chapter06/makedev.xml
===================================================================
--- chapter06/makedev.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/makedev.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -17,8 +17,8 @@
 
 <para>Note that unpacking the <filename>MAKEDEV-&makedev-version;.bz2</filename>
-file doesn't create a directory for you to <userinput>cd</userinput> into, as
+file doesn't create a directory for you to <command>cd</command> into, as
 the file contains only a shell script.</para>
 
-<para>Install the <userinput>MAKEDEV</userinput> script:</para>
+<para>Install the <command>MAKEDEV</command> script:</para>
 
 <screen><userinput>bzcat MAKEDEV-&makedev-version;.bz2 &gt; /dev/MAKEDEV
@@ -37,5 +37,5 @@
 
 <listitem><para><userinput>generic-nopty</userinput>: This instructs
-<userinput>MAKEDEV</userinput> to create a generic selection of commonly used
+<command>MAKEDEV</command> to create a generic selection of commonly used
 device special files, except for the ptyXX and ttyXX range of files. We don't
 need those files because we are going to use Unix98 PTYs via the
@@ -45,5 +45,5 @@
 <para>If it turns out that some special device <filename>zzz</filename> that
 you need is missing, try running <userinput>./MAKEDEV -v zzz</userinput>.
-Alternatively, you may create devices via the <userinput>mknod</userinput>
+Alternatively, you may create devices via the <command>mknod</command>
 program. Please refer to its man and info pages if you need more
 information.</para>
Index: chapter06/man.xml
===================================================================
--- chapter06/man.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/man.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -32,5 +32,5 @@
 <para>The third is also a sed substitution to comment out the "MANPATH
 /usr/man" line in the <filename>man.conf</filename> file to prevent redundant
-results when using programs such as <userinput>whatis</userinput>:</para>
+results when using programs such as <command>whatis</command>:</para>
 
 <screen><userinput>sed -i 's%MANPATH./usr/man%#&amp;%' src/man.conf.in</userinput></screen>
@@ -51,5 +51,5 @@
 
 <listitem><para><userinput>-confdir=/etc</userinput>: This tells the
-<userinput>man</userinput> program to look for the <filename>man.conf</filename>
+<command>man</command> program to look for the <filename>man.conf</filename>
 configuration file in the <filename>/etc</filename> directory.</para></listitem>
 </itemizedlist>
@@ -63,7 +63,7 @@
 <screen><userinput>make install</userinput></screen>
 
-<note><para>If you wish to disable SGR escape sequences, you should
-edit the man.conf file and add the <userinput>-c</userinput> argument
-to nroff.</para></note>
+<note><para>If you wish to disable SGR escape sequences, you should edit the
+<filename>man.conf</filename> file and add the <emphasis>-c</emphasis> switch
+to NROFF.</para></note>
 
 <para>You may want to also take a look at the BLFS page at
Index: chapter06/mountproc.xml
===================================================================
--- chapter06/mountproc.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/mountproc.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -45,5 +45,5 @@
 without support for the devpts file system. You can check which file systems
 your kernel supports by peeking into its internals with a command such as
-<userinput>cat /proc/filesystems</userinput>. If a file system type named
+<command>cat /proc/filesystems</command>. If a file system type named
 <emphasis>devfs</emphasis> is listed there, then we'll be able to work around
 the problem by mounting the host's devfs file system on top of the new
Index: chapter06/nettools.xml
===================================================================
--- chapter06/nettools.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/nettools.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -17,5 +17,5 @@
 
 <para>If you don't know what to answer to all the questions asked during the
-<userinput>make config</userinput> phase below, then just accept the defaults.
+<command>make config</command> phase below, then just accept the defaults.
 This will be just fine in the majority of cases. What you're asked here is a
 bunch of questions about which network protocols you've enabled in your
@@ -36,5 +36,5 @@
 
 <para>If you intend to accept the default settings, you may skip the
-questions generated by <emphasis>make config</emphasis> by running
+questions generated by <command>make config</command> by running
 <userinput>yes "" | make config</userinput> instead.</para>
 
Index: chapter06/patch.xml
===================================================================
--- chapter06/patch.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/patch.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -20,5 +20,5 @@
 <screen><userinput>CPPFLAGS=-D_GNU_SOURCE ./configure --prefix=/usr</userinput></screen>
 
-<para>Again, the preprocessor flag <userinput>-D_GNU_SOURCE</userinput> is only
+<para>Again, the preprocessor flag <emphasis>-D_GNU_SOURCE</emphasis> is only
 needed on the PowerPC platform. On other architectures you can leave it out.</para>
 
Index: chapter06/perl.xml
===================================================================
--- chapter06/perl.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/perl.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -23,5 +23,5 @@
 
 <para>If you want more control over the way Perl sets itself up to be
-built, you can run the interactive <userinput>Configure</userinput> script
+built, you can run the interactive <command>Configure</command> script
 instead and modify the way Perl is built. If you think you can live with the
 (sensible) defaults Perl auto-detects, then just use the command listed
Index: chapter06/psmisc.xml
===================================================================
--- chapter06/psmisc.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/psmisc.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -49,7 +49,7 @@
 ln -sf pstree /usr/bin/pstree.x11</userinput></screen>
 
-<para>By default Psmisc's <userinput>pidof</userinput> program isn't installed.
+<para>By default Psmisc's <command>pidof</command> program isn't installed.
 Generally, this isn't a problem because we later install the Sysvinit package,
-which provides a better <userinput>pidof</userinput> program. But if you're not
+which provides a better <command>pidof</command> program. But if you're not
 going to use Sysvinit, you should complete the installation of Psmisc by
 creating the following symlink:</para>
Index: chapter06/shadowpwd.xml
===================================================================
--- chapter06/shadowpwd.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/shadowpwd.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -17,7 +17,7 @@
 <title>Installation of Shadow</title>
 
-<para>Shadow hard-wires the path to the <userinput>passwd</userinput> binary
+<para>Shadow hard-wires the path to the <command>passwd</command> binary
 within the binary itself, but does this the wrong way. If a
-<userinput>passwd</userinput> binary is not present before installing Shadow,
+<command>passwd</command> binary is not present before installing Shadow,
 the package incorrectly assumes it is going to be located at
 <filename>/bin/passwd</filename>, but then installs it in
@@ -85,5 +85,5 @@
 <screen><userinput>mkdir /etc/default</userinput></screen>
 
-<para>Coreutils has already installed a better <userinput>groups</userinput>
+<para>Coreutils has already installed a better <command>groups</command>
 program in <filename>/usr/bin</filename>. Remove the one installed by
 Shadow:</para>
Index: chapter06/utillinux.xml
===================================================================
--- chapter06/utillinux.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/utillinux.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -20,5 +20,5 @@
 <para>The FHS recommends that we use <filename>/var/lib/hwclock</filename>,
 instead of the usual <filename>/etc</filename>, as the location for the
-<filename>adjtime</filename> file. To make the <userinput>hwclock</userinput>
+<filename>adjtime</filename> file. To make the <command>hwclock</command>
 program FHS-compliant, run the following:</para>
 
@@ -45,10 +45,10 @@
 <itemizedlist>
 <listitem><para><userinput>HAVE_KILL=yes</userinput>: This prevents the
-<userinput>kill</userinput> program (already installed by Procps) from being
+<command>kill</command> program (already installed by Procps) from being
 built and installed again.</para></listitem>
 
 <listitem><para><userinput>HAVE_SLN=yes</userinput>: This prevents the
-<userinput>sln</userinput> program (a statically linked
-<userinput>ln</userinput>, already installed by Glibc) from being built and
+<command>sln</command> program (a statically linked
+<command>ln</command>, already installed by Glibc) from being built and
 installed again.</para></listitem>
 </itemizedlist>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision c288d971d11a78cde87a5f4c0583ab9a43fbfeba)
+++ chapter06/vim.xml	(revision 90e3cb3f0e14cadecc0edf2b6de96ee432bc60de)
@@ -53,5 +53,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>When called as <userinput>vi</userinput>, <userinput>vim</userinput>
+<para>When called as <command>vi</command>, <command>vim</command>
 will run in old-fashioned vi-mode. To allow this, create a symlink:</para>
 