Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter01/changelog.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -45,4 +45,63 @@
     appropriate for the entry or if needed the entire day's listitem.
        -->
+    <listitem revision="systemd">
+      <para>2019-10-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Add a consolidated patch to fix several
+          problems with the new version of systemd, including bugs
+          in udev, filesystem mounting (with Samba-4.11), hardware
+          database updates, timesync fixes with adjtime as is set
+          in LFS, and bugs with network management and domain
+          resolution.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-09-29</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to texinfo-6.7. Fixes
+          <ulink url="&lfs-ticket-root;4529">#4529</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.45.4. Fixes
+          <ulink url="&lfs-ticket-root;4530">#4530</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to XML-Parser-2.46. Fixes
+          <ulink url="&lfs-ticket-root;4531">#4531</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.9. Fixes
+          <ulink url="&lfs-ticket-root;4532">#4532</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.3.0. Fixes
+          <ulink url="&lfs-ticket-root;4533">#4533</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="systemd">
+      <para>2019-09-27</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to systemd-243. Fixes
+          <ulink url="&lfs-ticket-root;4456">#4456</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-09-24</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to linux-5.3.1. Fixes
+          <ulink url="&lfs-ticket-root;4528">#4528</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter01/whatsnew.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -69,7 +69,7 @@
       <para>Diffutils-&diffutils-version;</para>
     </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>E2fsprogs-&e2fsprogs-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem revision="sysv">
       <para>Eudev-&eudev-version;</para>
@@ -132,7 +132,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -225,7 +225,7 @@
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
@@ -237,7 +237,7 @@
       <para>Tcl-&tcl-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Texinfo-&texinfo-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>Tzdata-&tzdata-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter03/patches.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -119,8 +119,8 @@
 
     <varlistentry revision="systemd">
-      <term>Systemd networkd and rdrand patch - <token>&systemd-networkd-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&systemd-networkd-patch;"/></para>
-        <para>MD5 sum: <literal>&systemd-networkd-patch-md5;</literal></para>
+      <term>Systemd Consolidated Patch - <token>&systemd-consolidated-patch-size;</token>:</term>
+      <listitem>		    
+        <para>Download: <ulink url="&patches-root;&systemd-consolidated-patch;"/></para>
+        <para>MD5 sum: <literal>&systemd-consolidated-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter05/linux-headers.xml
===================================================================
--- chapter05/linux-headers.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter05/linux-headers.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -54,10 +54,12 @@
 
     <para>Now extract the user-visible kernel headers from the source.
-    They are placed in an intermediate local directory and copied to the needed
-    location because the extraction process removes any existing files in
-    the target directory.</para>
+    The recommended make target <quote>headers_install</quote> cannot be
+    used, because it requires <application>rsync</application>, which may not
+    be available. The headers are first placed in
+    <filename class="directory">./usr</filename>, then copied to the needed
+    location.</para>
 
-<screen><userinput remap="make">make INSTALL_HDR_PATH=dest headers_install
-</userinput><userinput remap="install">cp -rv dest/include/* /tools/include</userinput></screen>
+<screen><userinput remap="make">make headers
+</userinput><userinput remap="install">cp -rv usr/include/* /tools/include</userinput></screen>
 
   </sect2>
Index: chapter06/attr.xml
===================================================================
--- chapter06/attr.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/attr.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -119,6 +119,5 @@
     <para>Prepare Attr for compilation:</para>
 
-<screen><userinput remap="configure">
-CC="gcc -mx32" ./configure \
+<screen><userinput remap="configure">CC="gcc -mx32" ./configure \
     --prefix=/usr          \
     --disable-static       \
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/createfiles.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -47,13 +47,14 @@
 ln -sv bash /bin/sh</userinput></screen>
 
-<screen arch="ml_32,ml_x32,ml_all"><userinput arch="ml_32,ml_all">
-ln -sv /tools/lib32/libgcc_s.so{,.1}               /usr/lib32
-ln -sv /tools/lib32/libstdc++.{a,so{,.6}}          /usr/lib32
-</userinput>
-<userinput arch="ml_x32,ml_all">
-ln -sv /tools/libx32/libgcc_s.so{,.1}              /usr/libx32
+  <para arch="ml_32,ml_x32,ml_all">32-bit builds also require these links:</para>
+
+<screen arch="ml_32,ml_x32,ml_all"><userinput arch="ml_32,ml_all">ln -sv /tools/lib32/libgcc_s.so{,.1}               /usr/lib32
+ln -sv /tools/lib32/libstdc++.{a,so{,.6}}          /usr/lib32</userinput></screen>
+
+  <para arch="ml_x32,ml_all">x32-bit builds also require these links:</para>
+
+<screen arch="ml_x32,ml_all"><userinput arch="ml_x32,ml_all">ln -sv /tools/libx32/libgcc_s.so{,.1}              /usr/libx32
 ln -sv /tools/libx32/libstdc++.{a,so{,.6}}         /usr/libx32
-ln -sv /usr/libx32 /
-</userinput></screen>
+ln -sv /usr/libx32 /</userinput></screen>
 
 <!--for lib in blkid lzma mount uuid
Index: chapter06/file.xml
===================================================================
--- chapter06/file.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/file.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -99,6 +99,5 @@
     <para>Prepare File for compilation:</para>
 
-<screen><userinput remap="configure">
-CC="gcc -mx32" ./configure \
+<screen><userinput remap="configure">CC="gcc -mx32" ./configure \
     --prefix=/usr          \
     --libdir=/usr/libx32   \
Index: chapter06/libtool.xml
===================================================================
--- chapter06/libtool.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/libtool.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -110,6 +110,5 @@
     <para>Prepare Libtool for compilation:</para>
 
-<screen><userinput remap="configure">
-CC="gcc -mx32" ./configure \
+<screen><userinput remap="configure">CC="gcc -mx32" ./configure \
     --prefix=/usr          \
     --libdir=/usr/libx32   \
Index: chapter06/linux-headers.xml
===================================================================
--- chapter06/linux-headers.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/linux-headers.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -54,13 +54,15 @@
 
     <para>Now extract the user-visible kernel headers from the source.
-    They are placed in an intermediate local directory and copied to the needed
-    location because the extraction process removes any existing files in
-    the target directory.  There are also some hidden files used by
-    the kernel developers and not needed by LFS that are removed from
-    the intermediate directory.</para>
-
-<screen><userinput remap="make">make INSTALL_HDR_PATH=dest headers_install
-find dest/include \( -name .install -o -name ..install.cmd \) -delete
-</userinput><userinput remap="install">cp -rv dest/include/* /usr/include</userinput></screen>
+    The recommended make target <quote>headers_install</quote> cannot be
+    used, because it requires <application>rsync</application>, which is
+    not available in <filename class="directory">/tools</filename>. The
+    headers are first placed in <filename class="directory">./usr</filename>,
+    then some files used by the kernel developers are removed, then
+    the files are copied to their final location.</para>
+
+<screen><userinput remap="make">make headers
+find usr/include -name '.*' -delete
+rm usr/include/Makefile
+</userinput><userinput remap="install">cp -rv usr/include/* /usr/include</userinput></screen>
 
   </sect2>
Index: chapter06/python.xml
===================================================================
--- chapter06/python.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/python.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -84,5 +84,5 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>The test suite requires TK and and X Windows session and cannot
+    <para>The test suite requires TK and X Windows session and cannot
     be run until Python 3 is reinstalled in BLFS.</para>
 
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/systemd.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -41,8 +41,8 @@
     <title>Installation of systemd</title>
 
-    <para>First, apply a patch to fix issues with systemd-networkd on Linux 5.2+
-    kernels, as well as with AMD Ryzen CPUs:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-networkd_and_rdrand_fixes-1.patch</userinput></screen>
+    <para>First, apply a patch to fix various bugs since the release
+    of systemd-243.</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-consolidated_fixes-1.patch</userinput></screen>
 
     <para>Create a symlink to work around missing xsltproc:</para>
@@ -71,6 +71,4 @@
 <screen><userinput remap="pre">sed -i 's/GROUP="render", //' rules/50-udev-default.rules.in</userinput></screen>
 
-<!-- EDITORS NOTE: At the next systemd release, see if the CFLAGS can be removed. -->
-
     <para>Prepare systemd for compilation:</para>
 
@@ -80,5 +78,4 @@
 PKG_CONFIG_PATH="/usr/lib/pkgconfig:/tools/lib/pkgconfig" \
 LANG=en_US.UTF-8                   \
-CFLAGS+="-Wno-format-overflow"     \
 meson --prefix=/usr                \
       --sysconfdir=/etc            \
@@ -208,5 +205,22 @@
 <screen><userinput remap="adjust">systemd-machine-id-setup</userinput></screen>
 
-    <para>Remove symbolic links to Util-Linux libraries:</para>
+    <para>Setup the basic target structure:</para>
+
+<screen><userinput remap="adjust">systemctl preset-all</userinput></screen>
+
+    <para>Disable a service that is known to cause problems with systems that
+    use a network configuration other than what is provided by
+    systemd-networkd:</para>
+    <!-- Observed halting startup with dhcpcd handling the primary NIC -->
+ 
+<screen><userinput remap="adjust">systemctl disable systemd-time-wait-sync.service</userinput></screen>
+
+    <para>Prevent systemd from resetting the maximum PID value which causes
+    some problems with packages and units in BLFS:</para>
+    <!-- FCRON in particular -->
+
+<screen><userinput remap="adjust">rm -f /etc/sysctl.d/50-pid-max.conf</userinput></screen>
+
+    <para>Cleanup symbolic links to Util-Linux libraries:</para>
 
 <screen><userinput remap="adjust">rm -fv /usr/lib/lib{blkid,uuid,mount}.so*</userinput></screen>
Index: chapter06/xz.xml
===================================================================
--- chapter06/xz.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter06/xz.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -109,6 +109,5 @@
     <para>Prepare Xz for compilation:</para>
 
-<screen><userinput remap="configure">
-CC="gcc -mx32" ./configure \
+<screen><userinput remap="configure">CC="gcc -mx32" ./configure \
     --prefix=/usr          \
     --disable-static       \
Index: chapter07/systemd-custom.xml
===================================================================
--- chapter07/systemd-custom.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter07/systemd-custom.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -246,5 +246,5 @@
           <emphasis>Enable system-wide process lingering</emphasis>:
           You can set <parameter>KillUserProcesses=no</parameter> in
-          <filename>/etc/logind.conf</filename> to enable process lingering
+          <filename>/etc/systemd/logind.conf</filename> to enable process lingering
           globally for all users. This has the benefit of leaving the old
           method available to all users at the expense of explicit control.
@@ -255,5 +255,5 @@
           <emphasis>Disable at build-time</emphasis>: You can enable
           lingering by default while building systemd by adding the switch
-          <parameter>-Ddefault-kill-user-processes=no</parameter> to the
+          <parameter>-Ddefault-kill-user-processes=false</parameter> to the
           <command>meson</command> command for systemd. This completely
           disables the ability of systemd to kill user processes at session
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ chapter08/kernel.xml	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -235,5 +235,6 @@
     Also, <filename>modprobe.d(5)</filename> may be of interest.</para>
 
-    <para>Install the modules, if the kernel configuration uses them:</para>
+    <para>Unless module support has been disabled in the kernel configuration,
+    install the modules with:</para>
 
 <screen><userinput remap="install">make modules_install</userinput></screen>
Index: general.ent
===================================================================
--- general.ent	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ general.ent	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190914">
+<!ENTITY version         "SVN-20191003">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190914-systemd">
+<!ENTITY versiond        "20191003-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 14th, 2019">
+<!ENTITY releasedate     "October 3rd, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ packages.ent	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -144,8 +144,8 @@
 <!ENTITY diffutils-ch6-sbu "0.4 SBU">
 
-<!ENTITY e2fsprogs-version "1.45.3">
-<!ENTITY e2fsprogs-size "7,741 KB">
+<!ENTITY e2fsprogs-version "1.45.4">
+<!ENTITY e2fsprogs-size "7,746 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "447a225c05f0a81121f6ddffbf55b06c">
+<!ENTITY e2fsprogs-md5 "2c2f9d4bcd0be54b3b3b8d5feec7b0ff">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "108 MB">
@@ -167,8 +167,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.8">
+<!ENTITY expat-version "2.2.9">
 <!ENTITY expat-size "413 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "cdf54239f892fc7914957f10de1e1c70">
+<!ENTITY expat-md5 "d2384fa607223447e713e1b9bd272376">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-ch6-du "11 MB">
@@ -349,8 +349,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.2.0">
-<!ENTITY iproute2-size "713 KB">
+<!ENTITY iproute2-version "5.3.0">
+<!ENTITY iproute2-size "726 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "0cb2736e7bc2f56254a363d3d23703b7">
+<!ENTITY iproute2-md5 "227404413c8d6db649d6188ead1e5a6e">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -430,11 +430,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "14">
+<!ENTITY linux-minor-version "3">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "104,567 KB">
+<!ENTITY linux-size "106,003 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "b3ffd400c356a8b7a49db5eb90c38644">
+<!ENTITY linux-md5 "4c68633ce304b8fbc7be2d3452060c11">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -444,8 +444,8 @@
 <!ENTITY linux-ch8-sbu "4.4 - 66.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "960 MB">
+<!ENTITY linux-headers-ch5-du "1 GB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "960 MB">
-<!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
+<!ENTITY linux-headers-ch6-du "1 GB">
+<!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
 <!ENTITY linux-firmware-version "20190519">
@@ -638,19 +638,19 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "241">
+<!ENTITY systemd-version  "243">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "7,464 KB">
+<!ENTITY systemd-size     "8,052 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "c5953c24c850b44fcf714326e567dc37">
+<!ENTITY systemd-md5      "ca2403fa7dff73afd2e896b4cb25021b">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "456 KB">
+<!ENTITY systemd-man-size "504 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "6942e1a9032e19da6639f9705241d119">
-<!ENTITY systemd-ch6-du   "227 MB">
-<!ENTITY systemd-ch6-sbu  "0.4 SBU">
+<!ENTITY systemd-man-md5  "22278b3c8fa27323b5baafffb093f0f0">
+<!ENTITY systemd-ch6-du   "228 MB">
+<!ENTITY systemd-ch6-sbu  "1.8 SBU">
 
 <!ENTITY sysvinit-version "2.96">
@@ -681,8 +681,8 @@
 <!ENTITY tcl-ch5-sbu "0.9 SBU">
 
-<!ENTITY texinfo-version "6.6">
-<!ENTITY texinfo-size "4,831 KB">
+<!ENTITY texinfo-version "6.7">
+<!ENTITY texinfo-size "4,237 KB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.xz">
-<!ENTITY texinfo-md5 "5231da3e6aa106cd0532b8609e5b3702">
+<!ENTITY texinfo-md5 "d4c5d8cc84438c5993ec5163a59522a6">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-ch5-du "103 MB">
@@ -724,8 +724,8 @@
 <!ENTITY vim-ch6-sbu "2.2 SBU">
 
-<!ENTITY xml-parser-version "2.44">
-<!ENTITY xml-parser-size "232 KB">
+<!ENTITY xml-parser-version "2.46">
+<!ENTITY xml-parser-size "249 KB">
 <!ENTITY xml-parser-url "https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
-<!ENTITY xml-parser-md5 "af4813fe3952362451201ced6fbce379">
+<!ENTITY xml-parser-md5 "80bb18a8e6240fcf7ec2f7b57601c170">
 <!ENTITY xml-parser-home "&github;/chorny/XML-Parser">
 <!ENTITY xml-parser-ch6-du "2.3 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 5e009ae9416b2308670e852f7be1c881bcd7118d)
+++ patches.ent	(revision 91f763ae5683f531260ca9e06a0633b1aaa67ad2)
@@ -58,6 +58,6 @@
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
 
-<!ENTITY systemd-networkd-patch "systemd-&systemd-version;-networkd_and_rdrand_fixes-1.patch">
-<!ENTITY systemd-networkd-patch-md5 "bb26f26d7c3a17d1888ab3171366906b">
-<!ENTITY systemd-networkd-patch-size "8 KB">
+<!ENTITY systemd-consolidated-patch "systemd-&systemd-version;-consolidated_fixes-1.patch">
+<!ENTITY systemd-consolidated-patch-md5 "d1f60dcbd53222eecfc58e4e95ef60ab">
+<!ENTITY systemd-consolidated-patch-size "60 KB">
 