Index: appendices/acknowledgments.xml
===================================================================
--- appendices/acknowledgments.xml	(revision b06ca361a4e71477f7a64645fa11e3818a40d775)
+++ appendices/acknowledgments.xml	(revision 92ffeebc7ef3005adf79238ebd9b0d97bc1263d5)
@@ -26,25 +26,11 @@
       <para><ulink url="mailto:matthew@linuxfromscratch.org">Matthew
       Burgess</ulink> &lt;matthew@linuxfromscratch.org&gt; &ndash;
-      LFS Project Leader, LFS Technical Writer/Editor, LFS Release
+      LFS Project Leader, LFS Technical Writer/Editor</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:bdubbs@linuxfromscratch.org">Bruce
+      Dubbs</ulink> &lt;bdubbs@linuxfromscratch.org&gt; &ndash; LFS Release 
       Manager</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:archaic@linuxfromscratch.org">Archaic</ulink>
-      &lt;archaic@linuxfromscratch.org&gt; &ndash; LFS Technical Writer/Editor,
-      HLFS Project Leader, BLFS Editor, Hints and Patches Project
-      Maintainer</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:nathan@linuxfromscratch.org">Nathan
-      Coulson</ulink> &lt;nathan@linuxfromscratch.org&gt; &ndash;
-      LFS-Bootscripts Maintainer</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:bdubbs@linuxfromscratch.org">Bruce
-      Dubbs</ulink> &lt;bdubbs@linuxfromscratch.org&gt; &ndash; BLFS Project
-      Leader</para>
     </listitem>
 
@@ -57,6 +43,12 @@
     <listitem>
       <para><ulink url="mailto:jim@linuxfromscratch.org">Jim
-      Gifford</ulink> &lt;jim@linuxfromscratch.org&gt; &ndash; LFS Technical
-      Writer, Patches Project Leader</para>
+      Gifford</ulink> &lt;jim@linuxfromscratch.org&gt; &ndash; CLFS Project
+      Co-Leader</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:bryan@linuxfromscratch.org">Bryan
+      Kadzban</ulink> &lt;bryan@linuxfromscratch.org&gt; &ndash; LFS
+      Technical Writer</para>
     </listitem>
 
@@ -68,25 +60,26 @@
 
     <listitem>
-      <para><ulink url="mailto:lizardo@linuxfromscratch.org">Anderson
-      Lizardo</ulink> &lt;lizardo@linuxfromscratch.org&gt; &ndash; Website
-      Backend-Scripts Maintainer</para>
+      <para><ulink url="mailto:randy@linuxfromscratch.org">Randy
+      McMurchy</ulink> &lt;randy@linuxfromscratch.org&gt; &ndash; BLFS
+      Project Leader</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:dnicholson@linuxfromscratch.org">Dan
+      Nicholson</ulink> &lt;dnicholson@linuxfromscratch.org&gt; &ndash; LFS and
+      BLFS Editor</para>
     </listitem>
 
     <listitem>
       <para><ulink url="mailto:ryan@linuxfromscratch.org">Ryan
-      Oliver</ulink> &lt;ryan@linuxfromscratch.org&gt; &ndash; LFS Toolchain
-      Maintainer</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:jwrober@linuxfromscratch.org">James
-      Robertson</ulink> &lt;jwrober@linuxfromscratch.org&gt; &ndash; Bugzilla
-      Maintainer</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:tushar@linuxfromscratch.org">Tushar
-      Teredesai</ulink> &lt;tushar@linuxfromscratch.org&gt; &ndash; BLFS Book
-      Editor, Hints and Patches Project Leader</para>
+      Oliver</ulink> &lt;ryan@linuxfromscratch.org&gt; &ndash; CLFS Project
+      Co-Leader</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:alexander@linuxfromscratch.org">Alexander
+      E. Patrakov</ulink> &lt;alexander@linuxfromscratch.org&gt; &ndash; LFS
+      Technical Writer, LFS Internationalization Editor, 
+      LFS Live CD Maintainer</para>
     </listitem>
 
@@ -142,9 +135,4 @@
 
     <listitem>
-      <para><ulink url="mailto:miha@xuy.biz">Mikhail Pastukhov</ulink>
-      &lt;miha@xuy.biz&gt; &ndash; lfs.130th.net mirror</para>
-    </listitem>
-
-    <listitem>
       <para><ulink url="mailto:lost@l-w.net">William Astle</ulink>
       &lt;lost@l-w.net&gt; &ndash; ca.linuxfromscratch.org mirror</para>
@@ -152,16 +140,11 @@
 
     <listitem>
-      <para><ulink url="mailto:jpolen@rackspace.com">Jeremy Polen</ulink>
-      &lt;jpolen@rackspace.com&gt; &ndash; us2.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:tim@idge.net">Tim Jackson</ulink>
-      &lt;tim@idge.net&gt; &ndash; linuxfromscratch.idge.net mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:jeremy@linux-phreak.net">Jeremy Utley</ulink>
-      &lt;jeremy@linux-phreak.net&gt; &ndash; lfs.linux-phreak.net mirror</para>
+      <para><ulink url="mailto:eujon.sellers@gmail.com">Eujon Sellers</ulink>
+      &lt;jpolen@rackspace.com&gt; &ndash; lfs.introspeed.com mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:justin@knierim.org">Justin Knierim</ulink>
+      &lt;tim@idge.net&gt; &ndash; lfs-matrix.net mirror</para>
     </listitem>
 
@@ -171,9 +154,4 @@
 
   <itemizedlist>
-
-    <listitem>
-      <para><ulink url="mailto:sysop@mesi.com.ar">Andres Meggiotto</ulink>
-      &lt;sysop@mesi.com.ar&gt; &ndash; lfs.mesi.com.ar mirror</para>
-    </listitem>
 
     <listitem>
@@ -184,7 +162,6 @@
 
     <listitem>
-      <para><ulink url="mailto:ebf@aedsolucoes.com.br">Eduardo B.
-      Fonseca</ulink> &lt;ebf@aedsolucoes.com.br&gt; &ndash;
-      br.linuxfromscratch.org mirror</para>
+      <para><ulink url="mailto:lfalcon@thymbra.com">Luis Falcon</ulink> 
+      &lt;Luis Falcon&gt; &ndash; torredehanoi.org mirror</para>
     </listitem>
 
@@ -194,19 +171,4 @@
 
   <itemizedlist>
-
-    <listitem>
-      <para><ulink url="mailto:barna@siker.hu">Barna Koczka</ulink>
-      &lt;barna@siker.hu&gt; &ndash; hu.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="http://www.mirror.ac.uk">UK Mirror Service</ulink>
-      &ndash; linuxfromscratch.mirror.ac.uk mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:Martin.Voss@ada.de">Martin Voss</ulink>
-      &lt;Martin.Voss@ada.de&gt; &ndash; lfs.linux-matrix.net mirror</para>
-    </listitem>
 
     <listitem>
@@ -221,17 +183,25 @@
 
     <listitem>
-      <para><ulink url="mailto:lfs-mirror@linuxfromscratch.rave.org">Roel
-      Neefs</ulink> &lt;lfs-mirror@linuxfromscratch.rave.org&gt; &ndash;
-      linuxfromscratch.rave.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:justin@jrknierim.de">Justin Knierim</ulink>
-      &lt;justin@jrknierim.de&gt; &ndash; www.lfs-matrix.de mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:stevie@stevie20.de">Stephan Brendel</ulink>
-      &lt;stevie@stevie20.de&gt; &ndash; lfs.netservice-neuss.de mirror</para>
+      <para><ulink url="mailto:sven.cranshoff@lineo.be">Sven Cranshoff</ulink>
+      &lt;sven.cranshoff@lineo.be&gt; &ndash; lfs.lineo.be mirror</para>
+    </listitem>
+
+    <listitem>
+      <para>Scarlet Belgium &ndash; lfs.scarlet.be mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:info@aliensoft.org">Sebastian Faulborn</ulink>
+      &lt;info@aliensoft.org&gt; &ndash; lfs.aliensoft.org mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:stuart@dontuse.ms">Stuart Fox</ulink>
+      &lt;stuart@dontuse.ms&gt; &ndash; lfs.dontuse.ms mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:admin@realhost.de">Ralf Uhlemann</ulink>
+      &lt;admin@realhost.de&gt; &ndash; lfs.oss-mirror.org mirror</para>
     </listitem>
 
@@ -249,28 +219,21 @@
 
     <listitem>
-      <para><ulink url="mailto:archive@doc.cs.univ-paris8.fr">Parisian
-      sysadmins</ulink> &lt;archive@doc.cs.univ-paris8.fr&gt; &ndash;
-      www2.fr.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:velin@zadnik.org">Alexander Velin</ulink>
-      &lt;velin@zadnik.org&gt; &ndash; bg.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:dirk@securewebservices.co.uk"> Dirk
-      Webster</ulink> &lt;dirk@securewebservices.co.uk&gt; &ndash;
-      lfs.securewebservices.co.uk mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:thomas@sofagang.dk">Thomas Skyt</ulink>
-      &lt;thomas@sofagang.dk&gt; &ndash; dk.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:sime@dot-sime.com">Simon Nicoll</ulink>
-      &lt;sime@dot-sime.com&gt; &ndash; uk.linuxfromscratch.org mirror</para>
+      <para><ulink url="mailto:franck@linuxpourtous.com">Franck</ulink>
+      &lt;franck@linuxpourtous.com&gt; &ndash; lfs.linuxpourtous.com mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:baque@cict.fr">Philippe Baqu&eacute;</ulink>
+      &lt;baque@cict.fr&gt; &ndash; lfs.cict.fr mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:gyouja@pilgrims.ru">Vitaly Chekasin</ulink>
+      &lt;gyouja@pilgrims.ru&gt; &ndash; lfs.pilgrims.ru mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:kontakt@wankoo.org">Benjamin Heil</ulink>
+      &lt;kontakt@wankoo.org&gt; &ndash; lfs.wankoo.org mirror</para>
     </listitem>
 
@@ -282,12 +245,16 @@
 
     <listitem>
-      <para><ulink url="mailto:pyng@spam.averse.net">Pui Yong</ulink>
-      &lt;pyng@spam.averse.net&gt; &ndash; sg.linuxfromscratch.org mirror</para>
-    </listitem>
-
-    <listitem>
-      <para><ulink url="mailto:stuart@althalus.me.uk">Stuart
-      Harris</ulink> &lt;stuart@althalus.me.uk&gt; &ndash;
-      lfs.mirror.intermedia.com.sg mirror</para>
+      <para><ulink url="mailto:satit@wbac.ac.th">Satit Phermsawang</ulink>
+      &lt;satit@wbac.ac.th&gt; &ndash; lfs.phayoune.org mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:info@shizu-net.jp">Shizunet Co.,Ltd.</ulink> 
+      &lt;info@shizu-net.jp&gt; &ndash; lfs.mirror.shizu-net.jp mirror</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="http://www.initworld.com/">Init World</ulink> 
+      &lt;http://www.initworld.com/&gt; &ndash; lfs.initworld.com mirror</para>
     </listitem>
 
@@ -316,4 +283,17 @@
 
     <listitem>
+      <para>Archaic
+      &lt;archaic@linuxfromscratch.org&gt; &ndash; LFS Technical Writer/Editor,
+      HLFS Project Leader, BLFS Editor, Hints and Patches Project
+      Maintainer</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:nathan@linuxfromscratch.org">Nathan
+      Coulson</ulink> &lt;nathan@linuxfromscratch.org&gt; &ndash;
+      LFS-Bootscripts Maintainer</para>
+    </listitem>
+
+    <listitem>
       <para>Timothy Bauscher</para>
     </listitem>
@@ -354,4 +334,10 @@
 
     <listitem>
+      <para><ulink url="mailto:lizardo@linuxfromscratch.org">Anderson
+      Lizardo</ulink> &lt;lizardo@linuxfromscratch.org&gt; &ndash; Website
+      Backend-Scripts Maintainer</para>
+    </listitem>
+
+    <listitem>
       <para>Simon Perreault</para>
     </listitem>
@@ -364,9 +350,4 @@
 
     <listitem>
-      <para><ulink url="mailto:semzx@newmail.ru">Alexander Patrakov</ulink>
-      &lt;semzx@newmail.ru&gt; &ndash; LFS Technical Writer</para>
-    </listitem>
-
-    <listitem>
       <para><ulink url="mailto:gschafer@zip.com.au">Greg Schafer</ulink>
       &lt;gschafer@zip.com.au&gt; &ndash; LFS Technical Writer</para>
@@ -375,4 +356,16 @@
     <listitem>
       <para>Jesse Tie-Ten-Quee &ndash; LFS Technical Writer</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:jwrober@linuxfromscratch.org">James
+      Robertson</ulink> &lt;jwrober@linuxfromscratch.org&gt; &ndash; Bugzilla
+      Maintainer</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:tushar@linuxfromscratch.org">Tushar
+      Teredesai</ulink> &lt;tushar@linuxfromscratch.org&gt; &ndash; BLFS Book
+      Editor, Hints and Patches Project Leader</para>
     </listitem>
 
@@ -418,5 +411,5 @@
 
     <listitem>
-      <para>Mark Stone for donating Belgarath, the linuxfromscratch.org
+      <para>Mark Stone for donating Belgarath, the first linuxfromscratch.org
       server</para>
     </listitem>