Index: packages.ent
===================================================================
--- packages.ent	(revision 2bb3584d5f8e7bae22fab65a2f5533af32ec331e)
+++ packages.ent	(revision 93d2da7b0676730d2856d0ba47755afd45975c35)
@@ -28,5 +28,5 @@
 <!ENTITY autoconf-md5 "50f97f4159805e374639a73e2636f22e">
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
-<!ENTITY autoconf-ch6-du "17.5 MB">
+<!ENTITY autoconf-ch6-du "17.3 MB">
 <!ENTITY autoconf-ch6-sbu-tests "3.5">
 <!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about &autoconf-ch6-sbu-tests; SBU with tests)">
@@ -39,5 +39,5 @@
 <!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-ch6-du "110 MB">
-<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 7.8 SBU with tests)">
+<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 7.5 SBU with tests)">
 
 <!ENTITY bash-version "4.4">
@@ -46,8 +46,8 @@
 <!ENTITY bash-md5 "148888a7c95ac23705559b6f477dfe25">
 <!ENTITY bash-home "&gnu-software;bash/">
-<!ENTITY bash-ch5-du "54 MB">
+<!ENTITY bash-ch5-du "61 MB">
 <!ENTITY bash-ch5-sbu "0.4 SBU">
-<!ENTITY bash-ch6-du "50 MB">
-<!ENTITY bash-ch6-sbu "1.8 SBU">
+<!ENTITY bash-ch6-du "56 MB">
+<!ENTITY bash-ch6-sbu "1.7 SBU">
 
 <!ENTITY bc-version "1.06.95">
@@ -68,6 +68,6 @@
 <!ENTITY binutils-ch5p2-du "533 MB">
 <!ENTITY binutils-ch5p2-sbu "1.1 SBU">
-<!ENTITY binutils-ch6-du "488 MB">
-<!ENTITY binutils-ch6-sbu "2.5 SBU">
+<!ENTITY binutils-ch6-du "2.0 GB">
+<!ENTITY binutils-ch6-sbu "5.7 SBU">
 
 <!ENTITY bison-version "3.0.4">
@@ -88,5 +88,5 @@
 <!ENTITY bzip2-ch5-du "5.2 MB">
 <!ENTITY bzip2-ch5-sbu "less than 0.1 SBU">
-<!ENTITY bzip2-ch6-du "4.9 MB">
+<!ENTITY bzip2-ch6-du "0/bz2.9 MB">
 <!ENTITY bzip2-ch6-sbu "less than 0.1 SBU">
 
@@ -96,5 +96,5 @@
 <!ENTITY check-md5 "9b90522b31f5628c2e0f55dda348e558">
 <!ENTITY check-home "https://libcheck.github.io/check">
-<!ENTITY check-ch5-du "9.5 MB">
+<!ENTITY check-ch5-du "11 MB">
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
@@ -104,8 +104,8 @@
 <!ENTITY coreutils-md5 "d5aa2072f662d4118b9f4c63b94601a6">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
-<!ENTITY coreutils-ch5-du "132 MB">
+<!ENTITY coreutils-ch5-du "136 MB">
 <!ENTITY coreutils-ch5-sbu "0.6 SBU">
-<!ENTITY coreutils-ch6-du "168 MB">
-<!ENTITY coreutils-ch6-sbu "2.6 SBU">
+<!ENTITY coreutils-ch6-du "173 MB">
+<!ENTITY coreutils-ch6-sbu "3.1 SBU">
 
 <!ENTITY dbus-version "1.10.14">
@@ -130,5 +130,5 @@
 <!ENTITY diffutils-md5 "569354697ff1cfc9a9de3781361015fa">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
-<!ENTITY diffutils-ch5-du "21.5 MB">
+<!ENTITY diffutils-ch5-du "22 MB">
 <!ENTITY diffutils-ch5-sbu "0.2 SBU">
 <!ENTITY diffutils-ch6-du "30 MB">
@@ -143,6 +143,6 @@
 <!ENTITY e2fsprogs-md5 "0bd1c74f357f6e9ae2ab6fa6229b9aea">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
-<!ENTITY e2fsprogs-ch6-du "54 MB">
-<!ENTITY e2fsprogs-ch6-sbu "2.1 SBU">
+<!ENTITY e2fsprogs-ch6-du "57 MB">
+<!ENTITY e2fsprogs-ch6-sbu "4.1 SBU">
 
 <!ENTITY eudev-version "3.2.1">
@@ -150,6 +150,6 @@
 <!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
 <!ENTITY eudev-md5 "49f71f6c271ffa95b3c20d757d45c2e5">
-<!ENTITY eudev-ch6-du "77 MB">
-<!ENTITY eudev-ch6-sbu "0.4 SBU">
+<!ENTITY eudev-ch6-du "78 MB">
+<!ENTITY eudev-ch6-sbu "0.2 SBU">
 
 <!ENTITY expat-version "2.2.0">
@@ -175,7 +175,7 @@
 <!ENTITY file-md5 "f35eaf05489ae566eafc4d26bb1dcd90">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
-<!ENTITY file-ch5-du "15 MB">
+<!ENTITY file-ch5-du "16 MB">
 <!ENTITY file-ch5-sbu "0.1 SBU">
-<!ENTITY file-ch6-du "15 MB">
+<!ENTITY file-ch6-du "16 MB">
 <!ENTITY file-ch6-sbu "0.1 SBU">
 
@@ -188,5 +188,5 @@
 <!ENTITY findutils-ch5-sbu "0.3 SBU">
 <!ENTITY findutils-ch6-du "48 MB">
-<!ENTITY findutils-ch6-sbu "1.6 SBU">
+<!ENTITY findutils-ch6-sbu "0.9 SBU">
 
 <!ENTITY flex-version "2.6.3">
@@ -195,5 +195,5 @@
 <!ENTITY flex-md5 "a5f65570cd9107ec8a8ec88f17b31bb1">
 <!ENTITY flex-home "http://flex.sourceforge.net">
-<!ENTITY flex-ch6-du "31 MB">
+<!ENTITY flex-ch6-du "32 MB">
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
@@ -203,7 +203,7 @@
 <!ENTITY gawk-md5 "4e7dbc81163e60fd4f0b52496e7542c9">
 <!ENTITY gawk-home "&gnu-software;gawk/">
-<!ENTITY gawk-ch5-du "34 MB">
+<!ENTITY gawk-ch5-du "35 MB">
 <!ENTITY gawk-ch5-sbu "0.2 SBU">
-<!ENTITY gawk-ch6-du "35 MB">
+<!ENTITY gawk-ch6-du "36 MB">
 <!ENTITY gawk-ch6-sbu "0.3 SBU">
 
@@ -214,11 +214,11 @@
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.5 GB">
-<!ENTITY gcc-ch5p1-sbu "8.3 SBU">
+<!ENTITY gcc-ch5p1-sbu "8.4 SBU">
 <!ENTITY gcc-ch5p2-du "2.9 GB">
 <!ENTITY gcc-ch5p2-sbu "11 SBU">
 <!ENTITY gcc-ch6-du "3.3 GB ">
-<!ENTITY gcc-ch6-sbu "79 SBU (with tests)">
-
-<!ENTITY libstdcpp-ch5-du "896 MB">
+<!ENTITY gcc-ch6-sbu "82 SBU (with tests)">
+
+<!ENTITY libstdcpp-ch5-du "898 MB">
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
@@ -228,5 +228,5 @@
 <!ENTITY gdbm-md5 "9ce96ff4c99e74295ea19040931c8fb9">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
-<!ENTITY gdbm-ch6-du "8.8 MB">
+<!ENTITY gdbm-ch6-du "9 MB">
 <!ENTITY gdbm-ch6-sbu "0.1 SBU">
 
@@ -239,5 +239,5 @@
 <!ENTITY gettext-ch5-sbu "0.9 SBU">
 <!ENTITY gettext-ch6-du "199 MB">
-<!ENTITY gettext-ch6-sbu "3.6 SBU">
+<!ENTITY gettext-ch6-sbu "2.9 SBU">
 
 <!ENTITY glibc-version "2.25">
@@ -246,8 +246,8 @@
 <!ENTITY glibc-md5 "1496c3bf41adf9db0ebd0af01f202eed">
 <!ENTITY glibc-home "&gnu-software;libc/">
-<!ENTITY glibc-ch5-du "715 MB">
-<!ENTITY glibc-ch5-sbu "4.0 SBU">
-<!ENTITY glibc-ch6-du "1.4 GB">
-<!ENTITY glibc-ch6-sbu "17 SBU">
+<!ENTITY glibc-ch5-du "753 MB">
+<!ENTITY glibc-ch5-sbu "4.1 SBU">
+<!ENTITY glibc-ch6-du "1.5 GB">
+<!ENTITY glibc-ch6-sbu "20 SBU">
 
 <!ENTITY gmp-version "6.1.2">
@@ -257,5 +257,5 @@
 <!ENTITY gmp-home "&gnu-software;gmp/">
 <!ENTITY gmp-ch6-du "59 MB">
-<!ENTITY gmp-ch6-sbu "1.2 SBU">
+<!ENTITY gmp-ch6-sbu "1.3 SBU">
 
 <!ENTITY gperf-version "3.0.4">
@@ -272,7 +272,7 @@
 <!ENTITY grep-md5 "fa07c1616adeb9c3262be5177d10ad4a">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "18 MB">
+<!ENTITY grep-ch5-du "19 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "28 MB">
+<!ENTITY grep-ch6-du "29 MB">
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
@@ -298,5 +298,5 @@
 <!ENTITY gzip-md5 "f7caabb65cddc1a4165b398009bd05b9">
 <!ENTITY gzip-home "&gnu-software;gzip/">
-<!ENTITY gzip-ch5-du "8.9 MB">
+<!ENTITY gzip-ch5-du "9 MB">
 <!ENTITY gzip-ch5-sbu "0.1 SBU">
 <!ENTITY gzip-ch6-du "19 MB">
@@ -360,9 +360,9 @@
 
 <!ENTITY lfs-bootscripts-version "20150222">              <!-- Scripts depend on this format -->
-<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
+<!ENTITY lfs-bootscripts-size "31 KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
-<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">  
+<!ENTITY lfs-bootscripts-md5 "7a9c7be4c9dc315c02bfcbc93f47d980">  
 <!ENTITY lfs-bootscripts-home " ">
-<!ENTITY lfs-bootscripts-ch7-du "BOOTSCRIPTS-INSTALL-KB KB"> 
+<!ENTITY lfs-bootscripts-ch7-du "244 KB"> 
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
@@ -406,7 +406,7 @@
 <!ENTITY linux-ch8-sbu "4.4 - 66.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "750 MB">
+<!ENTITY linux-headers-ch5-du "771 MB">
 <!ENTITY linux-headers-ch5-sbu "less than 0.1 SBU">
-<!ENTITY linux-headers-ch6-du "764 MB">
+<!ENTITY linux-headers-ch6-du "767 MB">
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
 
@@ -419,5 +419,5 @@
 <!ENTITY m4-ch5-sbu "0.2 SBU">
 <!ENTITY m4-ch6-du "31 MB">
-<!ENTITY m4-ch6-sbu "0.3 SBU">
+<!ENTITY m4-ch6-sbu "0.4 SBU">
 
 <!ENTITY make-version "4.2.1">
@@ -429,5 +429,5 @@
 <!ENTITY make-ch5-sbu "0.1 SBU">
 <!ENTITY make-ch6-du "12.6 MB">
-<!ENTITY make-ch6-sbu "0.6 SBU">
+<!ENTITY make-ch6-sbu "0.5 SBU">
 
 <!ENTITY man-db-version "2.7.6.1">
@@ -444,5 +444,5 @@
 <!ENTITY man-pages-md5 "91c721409bbf823d8f62bee3a1fe8ae3">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
-<!ENTITY man-pages-ch6-du "26 MB">
+<!ENTITY man-pages-ch6-du "27 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
@@ -478,7 +478,7 @@
 <!ENTITY patch-md5 "e3da7940431633fb65a01b91d3b7a27a">
 <!ENTITY patch-home "http://savannah.gnu.org/projects/patch/">
-<!ENTITY patch-ch5-du "10.4 MB">
+<!ENTITY patch-ch5-du "11 MB">
 <!ENTITY patch-ch5-sbu "0.2 SBU">
-<!ENTITY patch-ch6-du "19.7 MB">
+<!ENTITY patch-ch6-du "11 MB">
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
@@ -488,8 +488,8 @@
 <!ENTITY perl-md5 "178ee0e8fa544dbc76d99cf041e2c9f0">
 <!ENTITY perl-home "http://www.perl.org/">
-<!ENTITY perl-ch5-du "248 MB">
+<!ENTITY perl-ch5-du "249 MB">
 <!ENTITY perl-ch5-sbu "1.3 SBU">
 <!ENTITY perl-ch6-du "245 MB">
-<!ENTITY perl-ch6-sbu "6.2 SBU">
+<!ENTITY perl-ch6-sbu "5.9 SBU">
 
 <!ENTITY pkgconfig-version "0.29.1">
@@ -499,5 +499,5 @@
 <!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "28 MB">
-<!ENTITY pkgconfig-ch6-sbu "0.3 SBU">
+<!ENTITY pkgconfig-ch6-sbu "0.4 SBU">
 
 <!ENTITY procps-ng-version "3.3.12">
@@ -522,5 +522,5 @@
 <!ENTITY readline-md5 "205b03a87fc83dab653b628c59b9fc91">
 <!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
-<!ENTITY readline-ch6-du "14 MB">
+<!ENTITY readline-ch6-du "15 MB">
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
@@ -530,8 +530,8 @@
 <!ENTITY sed-md5 "e0c583d4c380059abd818cd540fe6938">
 <!ENTITY sed-home "&gnu-software;sed/">
-<!ENTITY sed-ch5-du "10.0 MB">
+<!ENTITY sed-ch5-du "16 MB">
 <!ENTITY sed-ch5-sbu "0.1 SBU">
-<!ENTITY sed-ch6-du "10.7 MB">
-<!ENTITY sed-ch6-sbu "0.2 SBU">
+<!ENTITY sed-ch6-du "25 MB">
+<!ENTITY sed-ch6-sbu "0.3 SBU">
 
 <!ENTITY shadow-version "4.4">
@@ -556,6 +556,6 @@
 <!ENTITY systemd-md5     "281604885d5a87f0359244f6f84037cb">
 <!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-ch6-du  "411 MB">
-<!ENTITY systemd-ch6-sbu "6.6 SBU">
+<!ENTITY systemd-ch6-du  "507 MB">
+<!ENTITY systemd-ch6-sbu "7.4 SBU">
 
 <!ENTITY sysvinit-version "2.88dsf">
@@ -572,8 +572,8 @@
 <!ENTITY tar-md5 "a1802fec550baaeecff6c381629653ef">
 <!ENTITY tar-home "&gnu-software;tar/">
-<!ENTITY tar-ch5-du "32 MB">
+<!ENTITY tar-ch5-du "33 MB">
 <!ENTITY tar-ch5-sbu "0.3 SBU">
 <!ENTITY tar-ch6-du "40 MB">
-<!ENTITY tar-ch6-sbu "2.2 SBU">
+<!ENTITY tar-ch6-sbu "3.2 SBU">
 
 <!ENTITY tcl-version "8.6.6">
@@ -613,7 +613,7 @@
 <!ENTITY util-linux-md5 "0cbb6d16ab9c5736e5649ef1264bee6e">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
-<!ENTITY util-linux-ch5-du "114 MB">
-<!ENTITY util-linux-ch5-sbu "0.8 SBU">
-<!ENTITY util-linux-ch6-du "158 MB">
+<!ENTITY util-linux-ch5-du "118 MB">
+<!ENTITY util-linux-ch5-sbu "0.9 SBU">
+<!ENTITY util-linux-ch6-du "164 MB">
 <!ENTITY util-linux-ch6-sbu "1.0 SBU">
 
@@ -624,6 +624,6 @@
 <!ENTITY vim-md5 "457543a7754b0d3c1c0aa4d4c3bb4070">
 <!ENTITY vim-home "http://www.vim.org">
-<!ENTITY vim-ch6-du "109 MB">
-<!ENTITY vim-ch6-sbu "1.0 SBU">
+<!ENTITY vim-ch6-du "141 MB">
+<!ENTITY vim-ch6-sbu "1.3 SBU">
 
 <!ENTITY xml-parser-version "2.44">
@@ -650,5 +650,5 @@
 <!ENTITY zlib-md5 "85adef240c5f370b308da8c938951a68">
 <!ENTITY zlib-home "http://www.zlib.net/">
-<!ENTITY zlib-ch6-du "5.2 MB">
+<!ENTITY zlib-ch6-du "4.5 MB">
 <!ENTITY zlib-ch6-sbu "less than 0.1 SBU">
 