Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter01/changelog.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -37,4 +37,70 @@
 -->
     <listitem>
+      <para>2014-01-10</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Update to libcap-2.24.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Merge LFS SVN-20140102 book.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-01-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to grep-2.16.  Fixes
+          <ulink url="&lfs-ticket-root;3418">#3418</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2013-12-29</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.42.9.  Fixes
+          <ulink url="&lfs-ticket-root;3462">#3462</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gdbm-1.11.  Fixes
+          <ulink url="&lfs-ticket-root;3459">#3459</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kmod-16.  Fixes
+          <ulink url="&lfs-ticket-root;3455">#3455</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to automake-1.14.1.  Fixes
+          <ulink url="&lfs-ticket-root;3458">#3458</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update readline patch to upstream level.  Fixes
+          <ulink url="&lfs-ticket-root;3461">#3461</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Use gcc version of libiberty.a.  Fixes
+          <ulink url="&lfs-ticket-root;3456">#3456</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Use different URL for shadow.  Fixes
+          <ulink url="&lfs-ticket-root;3453">#3453</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update coreutils i18n patch to fix problem
+          with uniq. Fixes
+          <ulink url="&lfs-ticket-root;3457">#3457</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove no longer needed makeinfo from Host System
+          Requirements. Fixes
+          <ulink url="&lfs-ticket-root;3460">#3460</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2013-12-22</para>
       <itemizedlist>
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter03/packages.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -554,17 +554,10 @@
       <term>Shadow (&shadow-version;) - <token>&shadow-size;</token>:</term>
       <listitem>
-        <para>Home page: <ulink url="&shadow-home;"/></para>
+        <!-- <para>Home page: <ulink url="&shadow-home;"/></para> -->
         <para>Download: <ulink url="&shadow-url;"/></para>
         <para>MD5 sum: <literal>&shadow-md5;</literal></para>
 
-        <!-- Using anduin for now since this site is dead
-        <note>
-          <para>Shadow (&shadow-version;) may no longer be available at the
-          listed location. The site administrators of the master download
-          location move older versions to <ulink
-          url="ftp://ftp.pld.org.pl/software/shadow/old/"/> when new ones are
-          released.</para>
-        </note>
-        -->
+        <!-- Using http://cdn.debian.net/debian/pool/main/s/shadow/
+             for now since alioth has not reconstituted shadow -->
       </listitem>
     </varlistentry>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter03/patches.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -18,12 +18,4 @@
 
   <variablelist role="materials">
-
-    <varlistentry>
-      <term>Automake Test Fix Patch - <token>&automake-test-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&automake-test-patch;"/></para>
-        <para>MD5 sum: <literal>&automake-test-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
 
     <varlistentry>
Index: chapter06/automake.xml
===================================================================
--- chapter06/automake.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter06/automake.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -41,8 +41,4 @@
   <sect2 role="installation">
     <title>Installation of Automake</title>
-
-    <para>Fix an intermittent test failure:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&automake-test-patch;</userinput></screen>
 
     <para>Prepare Automake for compilation:</para>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter06/binutils.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -113,11 +113,10 @@
 
 <screen><userinput remap="install">make tooldir=/usr install</userinput></screen>
-
+<!--
     <para>Install the <filename class="headerfile">libiberty</filename> header
     file that is needed by some packages:</para>
 
-<!-- <screen><userinput remap="install">cp -v ../binutils-&binutils-version;/include/libiberty.h /usr/include</userinput></screen> -->
 <screen><userinput remap="install">cp -v ../binutils-&binutils-version;/include/libiberty.h /usr/include</userinput></screen>
-
+-->
   </sect2>
 
@@ -134,5 +133,5 @@
         <seg>addr2line, ar, as, c++filt, elfedit, gprof, ld, ld.bfd, nm,
         objcopy, objdump, ranlib, readelf, size, strings, and strip</seg>
-        <seg>libiberty.a, libbfd.{a,so}, and libopcodes.{a,so}</seg>
+        <seg><!--libiberty.a,--> libbfd.{a,so}, and libopcodes.{a,so}</seg>
         <seg>/usr/lib/ldscripts</seg>
       </seglistitem>
@@ -320,5 +319,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="libiberty">
         <term><filename class="libraryfile">libiberty</filename></term>
@@ -333,5 +332,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="libbfd">
         <term><filename class="libraryfile">libbfd</filename></term>
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter06/e2fsprogs.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -44,8 +44,4 @@
   <sect2 role="installation">
     <title>Installation of E2fsprogs</title>
-
-    <para>First, fix a regression test:</para>
-
-<screen><userinput remap="pre">sed -i -e 's/mke2fs/$MKE2FS/' -e 's/debugfs/$DEBUGFS/' tests/f_extent_oobounds/script</userinput></screen>
 
     <para>The E2fsprogs documentation recommends that the package be built in
@@ -173,5 +169,5 @@
         resize2fs, and tune2fs</seg>
         <seg>libcom_err.{a,so}, libe2p.{a,so}, libext2fs.{a,so},
-        libquota.a and libss.{a,so}</seg>
+        libquota.a, and libss.{a,so}</seg>
         <seg>/usr/include/e2p, /usr/include/et, /usr/include/ext2fs,
         /usr/include/quota, /usr/include/ss, /usr/share/et, /usr/share/ss</seg>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ chapter06/gcc.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -50,5 +50,5 @@
   i?86) sed -i 's/^T_CFLAGS =$/&amp; -fomit-frame-pointer/' gcc/Makefile.in ;;
 esac</userinput></screen>
-
+<!--
     <para>Workaround a bug so that GCC doesn't install
     <filename class="libraryfile">libiberty.a</filename>, which is already
@@ -56,5 +56,5 @@
 
 <screen><userinput remap="pre">sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in</userinput></screen>
-
+-->
     <para>Also fix an error in one of the check Makefiles and disable one test in
     the g++ libmudflap test suite:</para>
@@ -80,5 +80,4 @@
                        --disable-multilib          \
                        --disable-bootstrap         \
-                       --disable-install-libiberty \
                        --with-system-zlib</userinput></screen>
 
@@ -89,7 +88,7 @@
     <variablelist>
       <title>The meaning of the new configure option:</title>
-
+<!--
       <varlistentry>
-        <term><parameter>--disable-install-libiberty</parameter></term>
+        <term><parameter>- -disable-install-libiberty</parameter></term>
         <listitem>
           <para>This prevents GCC from installing its own copy of libiberty,
@@ -97,5 +96,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry>
         <term><parameter>--with-system-zlib</parameter></term>
@@ -316,5 +315,5 @@
 
         <seg>libasan.{a,so}, libatomic.{a,so}, libgcc.a, libgcc_eh.a, 
-        libgcc_s.so, libgcov.a, libgomp.{a,so}, libitm.{a,so},
+        libgcc_s.so, libgcov.a, libgomp.{a,so}, libiberty.a, libitm.{a,so},
         liblto_plugin.so, libmudflap.{a,so}, libmudflapth.{a,so},
         libquadmath.{a,so}, libssp.{a,so},
@@ -473,4 +472,17 @@
       </varlistentry>
 
+      <varlistentry id="libiberty">
+        <term><filename class="libraryfile">libiberty</filename></term>
+        <listitem>
+          <para>Contains routines used by various GNU programs, including
+          <command>getopt</command>, <command>obstack</command>,
+          <command>strerror</command>, <command>strtol</command>, and
+          <command>strtoul</command></para>
+          <indexterm zone="ch-system-gcc libiberty">
+            <primary sortas="c-libiberty">libiberty</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="liblto_plugin">
         <term><filename class="libraryfile">liblto_plugin</filename></term>
Index: general.ent
===================================================================
--- general.ent	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ general.ent	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SYSTEMD-20131221">
-<!ENTITY releasedate     "December 21, 2013">
-<!ENTITY copyrightdate   "1999-2013"><!-- jhalfs needs a literal dash, not &ndash; -->
+<!ENTITY version         "SYSTEMD-20140110">
+<!ENTITY releasedate     "January 10, 2014">
+<!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.5">
 <!ENTITY generic-version "systemd"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
Index: packages.ent
===================================================================
--- packages.ent	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ packages.ent	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -32,9 +32,9 @@
 <!ENTITY autoconf-ch6-sbu "4.5 SBU">
 
-<!ENTITY automake-version "1.14">
+<!ENTITY automake-version "1.14.1">
 <!ENTITY am-minor-version "1.14">
-<!ENTITY automake-size "1,452 KB">
+<!ENTITY automake-size "1,456 KB">
 <!ENTITY automake-url "&gnu;automake/automake-&automake-version;.tar.xz">
-<!ENTITY automake-md5 "cb3fba6d631cddf12e230fd0cc1890df">
+<!ENTITY automake-md5 "7fc29854c520f56b07aa232a0f880292">
 <!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-ch6-du "100 MB">
@@ -140,8 +140,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.42.8">
-<!ENTITY e2fsprogs-size "5,852 KB">
+<!ENTITY e2fsprogs-version "1.42.9">
+<!ENTITY e2fsprogs-size "5,928 KB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "8ef664b6eb698aa6b733df59b17b9ed4">
+<!ENTITY e2fsprogs-md5 "3f8e41e63b432ba114b33f58674563f7">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "64 MB">
@@ -219,8 +219,8 @@
 <!ENTITY gcc-ch6-sbu "55.6 SBU">
 
-<!ENTITY gdbm-version "1.10">
-<!ENTITY gdbm-size "640 KB">
+<!ENTITY gdbm-version "1.11">
+<!ENTITY gdbm-size "796 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "88770493c2559dc80b561293e39d3570">
+<!ENTITY gdbm-md5 "72c832680cf0999caedbe5b265c8c1bd">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-ch5-du "2.7 MB">
@@ -267,8 +267,8 @@
 <!ENTITY gperf-ch6-sbu "0.1 SBU">
 
-<!ENTITY grep-version "2.14">
-<!ENTITY grep-size "1,172 KB">
+<!ENTITY grep-version "2.16">
+<!ENTITY grep-size "1,184 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "d4a3f03849d1e17ce56ab76aa5a24cab">
+<!ENTITY grep-md5 "502350a6c8f7c2b12ee58829e760b44d">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "21 MB">
@@ -343,8 +343,8 @@
 <!ENTITY kbd-ch6-sbu "0.1 SBU">
 
-<!ENTITY kmod-version "15">
-<!ENTITY kmod-size "1,420 KB">
+<!ENTITY kmod-version "16">
+<!ENTITY kmod-size "1,408 KB">
 <!ENTITY kmod-url "&kernel;linux/utils/kernel/kmod/kmod-&kmod-version;.tar.xz">
-<!ENTITY kmod-md5 "d03372179ed2cfa0c52b6672cf438901">
+<!ENTITY kmod-md5 "3006a0287211212501cdfe1211b29f09">
 <!ENTITY kmod-home " ">
 <!ENTITY kmod-ch6-du "34 MB">
@@ -367,10 +367,10 @@
 <!ENTITY lfs-network-scripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.22">
-<!ENTITY libcap-size "66 KB">
-<!ENTITY libcap-url "http://ftp.de.debian.org/debian/pool/main/libc/libcap2/libcap2_&libcap-version;.orig.tar.gz">
-<!ENTITY libcap-md5 "b4896816b626bea445f0b3849bdd4077">
-<!ENTITY libcap-home " ">
-<!ENTITY libcap-ch6-du "1.3 MB">
+<!ENTITY libcap-version "2.24">
+<!ENTITY libcap-size "64 KB">
+<!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
+<!ENTITY libcap-md5 "d43ab9f680435a7fff35b4ace8d45b80">
+<!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
+<!ENTITY libcap-ch6-du "1.7 MB">
 <!ENTITY libcap-ch6-sbu "0.1 SBU">
 
@@ -543,8 +543,8 @@
 
 <!ENTITY shadow-version "4.1.5.1">
-<!ENTITY shadow-size "2,142 KB">
-<!ENTITY shadow-url "http://pkg-shadow.alioth.debian.org/releases/shadow-&shadow-version;.tar.bz2">
-<!ENTITY shadow-md5 "a00449aa439c69287b6d472191dc2247">
-<!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org/">
+<!ENTITY shadow-size "3,428 KB">
+<!ENTITY shadow-url "http://cdn.debian.net/debian/pool/main/s/shadow/shadow_&shadow-version;.orig.tar.gz">
+<!ENTITY shadow-md5 "ae66de9953f840fb3a97f6148bc39a30">
+<!-- <!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org/"> -->
 <!ENTITY shadow-ch6-du "42 MB">
 <!ENTITY shadow-ch6-sbu "0.2 SBU">
Index: patches.ent
===================================================================
--- patches.ent	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ patches.ent	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -2,8 +2,4 @@
 
 <!-- Start of Common Patches -->
-
-<!ENTITY automake-test-patch "automake-&automake-version;-test-1.patch">
-<!ENTITY automake-test-patch-md5 "1bc501443baee55bca4d6552ed18a757">
-<!ENTITY automake-test-patch-size "2.5 KB">
 
 <!ENTITY bash-fixes-patch "bash-&bash-version;-fixes-12.patch">
@@ -15,6 +11,6 @@
 <!ENTITY bzip2-docs-patch-size "1.6 KB">
 
-<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-2.patch">
-<!ENTITY coreutils-i18n-patch-md5 "0f3b9f85e256140a4eaa5865a9c81f3f">
+<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-3.patch">
+<!ENTITY coreutils-i18n-patch-md5 "4dbc4688118182a6119a1bfe7ba4e054">
 <!ENTITY coreutils-i18n-patch-size "138 KB">
 
@@ -31,7 +27,7 @@
 <!ENTITY perl-libc-patch-size "1.6 KB">
 
-<!ENTITY readline-fixes-patch "readline-&readline-version;-fixes-1.patch">
-<!ENTITY readline-fixes-patch-md5 "3c185f7b76001d3d0af614f6f2cd5dfa">
-<!ENTITY readline-fixes-patch-size "1.3 KB">
+<!ENTITY readline-fixes-patch "readline-&readline-version;-fixes-2.patch">
+<!ENTITY readline-fixes-patch-md5 "b793b2bf1306bc62e5f1e7ebbdae2f35">
+<!ENTITY readline-fixes-patch-size "3.3 KB">
 
 <!ENTITY tar-manpage-patch "tar-&tar-version;-manpage-1.patch">
Index: prologue/hostreqs.xml
===================================================================
--- prologue/hostreqs.xml	(revision b2b9fd6fcf734ed03c9d776141eb3c4b0d6346a2)
+++ prologue/hostreqs.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
@@ -124,9 +124,4 @@
     </listitem>
 
-    <!-- Needed by the apparently broken Binutils-2.18 -->
-    <listitem>
-      <para><emphasis role="strong">Texinfo-4.9</emphasis></para>
-    </listitem>
-
     <listitem>
       <para><emphasis role="strong">Xz-5.0.0</emphasis></para>
@@ -184,5 +179,4 @@
 sed --version | head -n1
 tar --version | head -n1
-echo "Texinfo: `makeinfo --version | head -n1`"
 xz --version | head -n1
 