Index: appendixa/bootscripts-desc.xml
===================================================================
--- appendixa/bootscripts-desc.xml	(revision 72cdfce8dda6bdce962d13abe68e305425ec6421)
+++ appendixa/bootscripts-desc.xml	(revision 96df90553bbf7fee17d0ee64d6acdafe9910e3c7)
@@ -5,7 +5,7 @@
 <sect3><title>Scripts</title>
 
-<para>checkfs, cleanfs, functions, halt, loadkeys, localnet, mountfs,
-network, rc, reboot, sendsignals, setclock, swap, sysklogd and
-template</para></sect3>
+<para>checkfs, cleanfs, functions, halt, ifdown, ifup, loadkeys, localnet,
+mountfs, mountproc, network, rc, reboot, sendsignals, setclock, swap,
+sysklogd and template</para></sect3>
 
 <sect3><title>Descriptions</title>
@@ -29,4 +29,8 @@
 <para>The halt script halts the system.</para></sect4>
 
+<sect4><title>ifdown, ifup</title>
+<para>The ifdown and ifup scripts assist the network script with
+network devices.</para></sect4>
+
 <sect4><title>loadkeys</title>
 <para>The loadkeys script loads the proper keymap table that matches your
@@ -40,4 +44,7 @@
 <para>The mountfs script mounts all file systems that aren't marked noauto
 or aren't network based.</para></sect4>
+
+<sect4><title>mountproc</title>
+<para>The mountproc script is used to mount the proc filesystem.</para></sect4>
 
 <sect4><title>network</title>
Index: appendixa/shadowpwd-desc.xml
===================================================================
--- appendixa/shadowpwd-desc.xml	(revision 72cdfce8dda6bdce962d13abe68e305425ec6421)
+++ appendixa/shadowpwd-desc.xml	(revision 96df90553bbf7fee17d0ee64d6acdafe9910e3c7)
@@ -5,7 +5,7 @@
 <sect3><title>Program Files</title>
 <para>chage, chfn, chpasswd, chsh, dpasswd, expiry, faillog, gpasswd, 
-groupadd, groupdel, groupmod, grpck, grpconv, grpunconv, lastlog, login, 
-logoutd, mkpasswd, newgrp, newusers, passwd, pwck, pwconv, pwunconv, sg 
-(link to newgrp), su, useradd, userdel, usermod, vigr (link to vipw) and 
+groupadd, groupdel, groupmod, groups, grpck, grpconv, grpunconv, lastlog,
+login,  logoutd, mkpasswd, newgrp, newusers, passwd, pwck, pwconv, pwunconv,
+sg (link to newgrp), useradd, userdel, usermod, vigr (link to vipw) and
 vipw</para></sect3>
 
@@ -55,4 +55,7 @@
 <para>The groupmod command modifies the system account files to reflect the 
 changes that are specified on the command line.</para></sect4>
+
+<sect4><title>groups</title>
+<para>groups prints the groups which a user is in.</para></sect4>
 
 <sect4><title>grpck</title>
@@ -111,9 +114,4 @@
 given command as member of the given group.</para></sect4>
 
-<sect4><title>su</title>
-<para>su changes the effective user and group IDs to that of a given user.
-(This program replaces the su program installed from the
-Sh-utils package.)</para></sect4>
-
 <sect4><title>useradd</title>
 <para>useradd creates a new user or update default new user 
@@ -136,7 +134,10 @@
 
 <sect3><title>Library Files</title>
-<para>libshadow.[a,so]</para></sect3>
+<para>libmisc.[a,so], libshadow.[a,so]</para></sect3>
 
 <sect3><title>Descriptions</title>
+
+<sect4><title>libmisc</title>
+<para>No description is currently available.</para></sect4>
 
 <sect4><title>libshadow</title>
@@ -147,3 +148,2 @@
 
 </sect2>
-
Index: appendixa/utillinux-desc.xml
===================================================================
--- appendixa/utillinux-desc.xml	(revision 72cdfce8dda6bdce962d13abe68e305425ec6421)
+++ appendixa/utillinux-desc.xml	(revision 96df90553bbf7fee17d0ee64d6acdafe9910e3c7)
@@ -4,12 +4,12 @@
 
 <sect3><title>Program Files</title>
-<para>agetty, arch, blockdev, cal, cfdisk, chkdupexe, col, colcrt, 
+<para>agetty, arch, blockdev, cal, cfdisk, chkdupexe, col, colcrt,
 colrm, column, ctrlaltdel, cytune, ddate, dmesg, elvtune, fdformat, fdisk,
-fsck.minix, getopt, hexdump, hwclock, ipcrm, ipcs, isosize
-kill, line, logger, look, losetup,  mcookie, mkfs, mkfs.bfs, mkfs.minix, 
-mkswap, more, mount, namei, pivot_root,
-ramsize (link to rdev), raw, rdev, readprofile, rename, renice, rev,
-rootflags (link to rdev), script, setfdprm, setsid, setterm, sfdisk,
-swapoff (link to swapon), swapon, tunelp, ul, umount, vidmode, whereis 
+fsck.minix, getopt, hexdump, hwclock, ipcrm, ipcs, isosize, line, logger,
+look, losetup, mcookie, mkfs, mkfs.bfs, mkfs.minix, mkswap, more, mount,
+namei, parse.bash, parse.tcsh, pivot_root, ramsize (link to rdev),
+raw, rdev, readprofile, rename, renice, rev, rootflags (link to rdev),
+script, setfdprm, setsid, setterm, sfdisk, swapoff (link to swapon), swapon,
+test.bash, test.tcsh, tunelp, ul, umount, vidmode (link to rdev), whereis
 and write</para></sect3>
 
@@ -99,7 +99,4 @@
 <para>isosize outputs the length of a iso9660 file system.</para></sect4>
 
-<sect4><title>kill</title>
-<para>kill sends a specified signal to the specified process.</para></sect4>
-
 <sect4><title>line</title>
 <para>line copies one line (up to a newline) from standard input and writes it
@@ -144,4 +141,8 @@
 <para>namei follows a pathname until a terminal point is found.</para></sect4>
 
+<sect4><title>parse.bash, parse.tcsh, test.bash, test.tcsh</title>
+<para>These are example scripts for using the getopt program with either
+BASH or TCSH.</para></sect4>
+
 <sect4><title>pivot_root</title>
 <para>pivot_root moves the root file system of the current process.</para></sect4>