Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision be3d9f313a25000d1cbaa631852be62330828f2c)
+++ chapter01/changelog.xml	(revision 98e7ac4cd781b87271d1ba1b90717de08023d4b7)
@@ -44,4 +44,14 @@
 -->
     <listitem>
+      <para>2016-12-18</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update toolchain sanity checks to use values for
+          x86_64.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-12-17</para>
       <itemizedlist>
@@ -49,5 +59,6 @@
           <para>[dj] - Remove {,/usr}/lib64 symlinks for x86_64 builds. Add
           /lib64 directory with symlinks to dynamic loader. Adjust installation
-          of glibc, gcc, and libcap to account for filesystemd changes.</para>
+          of glibc, gcc, and libcap to account for directory layout
+          changes.</para>
         </listitem>
       </itemizedlist>
Index: chapter06/adjusting.xml
===================================================================
--- chapter06/adjusting.xml	(revision be3d9f313a25000d1cbaa631852be62330828f2c)
+++ chapter06/adjusting.xml	(revision 98e7ac4cd781b87271d1ba1b90717de08023d4b7)
@@ -51,11 +51,11 @@
   platform-specific differences in dynamic linker name):</para>
 
-<screen os="c"><computeroutput>[Requesting program interpreter: /lib/ld-linux.so.2]</computeroutput></screen>
+<screen os="c"><computeroutput>[Requesting program interpreter: /lib64/ld-linux-x86-64.so.2]</computeroutput></screen>
 
   <para>Note that <filename class="directory">/lib</filename> is now
   the prefix of our dynamic linker.</para>
 
-  <note><para>On 64-bit systems the interpreter should be
-  /lib64/ld-linux-x86-64.so.2.</para></note>
+  <note><para>On 32-bit systems the interpreter should be
+  /lib/ld-linux.so.2.</para></note>
 
   <para os="d">Now make sure that we're setup to use the correct start files:</para>
@@ -65,12 +65,7 @@
   <para os="f">The output of the last command should be:</para>
 
-<screen><computeroutput>/usr/lib/crt1.o succeeded
-/usr/lib/crti.o succeeded
-/usr/lib/crtn.o succeeded</computeroutput></screen>
-
-   <note><para>On 64-bit systems, the path above will be
-   /usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/../../../../lib64/.  This
-   reduces to /usr/lib64 and /usr/lib64 is a symlink that points to
-   /usr/lib.</para></note>
+<screen><computeroutput>/usr/lib/../lib/crt1.o succeeded
+/usr/lib/../lib/crti.o succeeded
+/usr/lib/../lib/crtn.o succeeded</computeroutput></screen>
 
   <para os="g">Verify that the compiler is searching for the correct header
@@ -92,5 +87,5 @@
 
 <screen><computeroutput>SEARCH_DIR("/usr/lib")
-SEARCH_DIR("/lib");</computeroutput></screen>
+SEARCH_DIR("/lib")</computeroutput></screen>
 
   <para os="l">Next make sure that we're using the correct libc:</para>
@@ -98,6 +93,5 @@
 <screen os="m"><userinput>grep "/lib.*/libc.so.6 " dummy.log</userinput></screen>
 
-  <para os="n">The output of the last command (allowing for a lib64 directory 
-  on 64-bit hosts) should be:</para>
+  <para os="n">The output of the last command should be:</para>
 
 <screen os="o"><computeroutput>attempt to open /lib/libc.so.6 succeeded</computeroutput></screen>
@@ -107,9 +101,8 @@
 <screen os="q"><userinput>grep found dummy.log</userinput></screen>
 
-  <para os="r"> The output of the last command should be (allowing for
-  platform-specific differences in dynamic linker name and a lib64 directory on
-  64-bit hosts):</para>
+  <para os="r">The output of the last command should be (allowing for
+  platform-specific differences in dynamic linker name):</para>
 
-<screen os="s"><computeroutput>found ld-linux.so.2 at /lib/ld-linux.so.2</computeroutput></screen>
+<screen os="s"><computeroutput>found ld-linux-x86-64.so.2 at /lib/ld-linux-x86-64.so.2</computeroutput></screen>
 
   <para os="t">If the output does not appear as shown above or is not received
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision be3d9f313a25000d1cbaa631852be62330828f2c)
+++ chapter06/gcc.xml	(revision 98e7ac4cd781b87271d1ba1b90717de08023d4b7)
@@ -121,5 +121,6 @@
 
     <para>Results can be compared with those located at <ulink
-    url="&test-results;"/> and <ulink url="http://gcc.gnu.org/ml/gcc-testresults/"/>.</para>
+    url="&test-results;"/> and
+    <ulink url="http://gcc.gnu.org/ml/gcc-testresults/"/>.</para>
 
     <para>A few unexpected failures cannot always be avoided. The GCC developers
@@ -180,7 +181,7 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen><computeroutput>/usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/../../../crt1.o succeeded
-/usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/../../../crti.o succeeded
-/usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/../../../crtn.o succeeded</computeroutput></screen>
+<screen><computeroutput>/usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/../../../../lib/crt1.o succeeded
+/usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/../../../../lib/crti.o succeeded
+/usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/../../../../lib/crtn.o succeeded</computeroutput></screen>
 
   <para>Depending on your machine architecture, the above may differ slightly,
@@ -202,7 +203,7 @@
 
 <screen><computeroutput>#include &lt;...&gt; search starts here:
- /usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/include
+ /usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/include
  /usr/local/include
- /usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/include-fixed
+ /usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/include-fixed
  /usr/include</computeroutput></screen>
 
@@ -226,4 +227,16 @@
     href="adjusting.xml"
     xpointer="xpointer(//*[@os='k'])"/>
+
+<screen><computeroutput>SEARCH_DIR("/usr/x86_64-pc-linux-gnu/lib64")
+SEARCH_DIR("/usr/local/lib64")
+SEARCH_DIR("/lib64")
+SEARCH_DIR("/usr/lib64")
+SEARCH_DIR("/usr/x86_64-pc-linux-gnu/lib")
+SEARCH_DIR("/usr/local/lib")
+SEARCH_DIR("/lib")
+SEARCH_DIR("/usr/lib");</computeroutput></screen>
+
+   <para>A 32-bit system may see a few different directories. For example, here
+   is the output from an i686 machine:</para>
 
 <screen><computeroutput>SEARCH_DIR("/usr/i686-pc-linux-gnu/lib32")
@@ -236,16 +249,4 @@
 SEARCH_DIR("/usr/lib");</computeroutput></screen>
 
-   <para>A 64-bit system may see a few different directories. For example, here
-   is the output from an x86_64 machine:</para>
-
-<screen><computeroutput>SEARCH_DIR("/usr/x86_64-unknown-linux-gnu/lib64")
-SEARCH_DIR("/usr/local/lib64")
-SEARCH_DIR("/lib64")
-SEARCH_DIR("/usr/lib64")
-SEARCH_DIR("/usr/x86_64-unknown-linux-gnu/lib")
-SEARCH_DIR("/usr/local/lib")
-SEARCH_DIR("/lib")
-SEARCH_DIR("/usr/lib");</computeroutput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="adjusting.xml"