Index: chapter05/gettext.xml
===================================================================
--- chapter05/gettext.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter05/gettext.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -45,5 +45,5 @@
 
     <para>For our temporary set of tools, we only need to build and install
-    one binary from Gettext.</para>
+    three binaries from Gettext.</para>
 
     <para>Prepare Gettext for compilation:</para>
@@ -77,5 +77,7 @@
 
 <screen><userinput remap="make">make -C gnulib-lib
-make -C src msgfmt</userinput></screen>
+make -C src msgfmt
+make -C src msgmerge
+make -C src xgettext</userinput></screen>
 
     <para>As only one binary has been compiled, it is not possible to run the
@@ -86,5 +88,5 @@
     <para>Install the <command>msgfmt</command> binary:</para>
 
-<screen><userinput remap="install">cp -v src/msgfmt /tools/bin</userinput></screen>
+<screen><userinput remap="install">cp -v src/{msgfmt,msgmerge,xgettext} /tools/bin</userinput></screen>
 
   </sect2>
Index: chapter06/attr.xml
===================================================================
--- chapter06/attr.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter06/attr.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -63,5 +63,5 @@
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make install install-dev install-lib &amp;&amp;
+<screen><userinput remap="install">make install install-dev install-lib
 chmod -v 0755 /lib/libattr.so.1.1.0</userinput></screen>
 
@@ -75,5 +75,5 @@
     symlink to shared library since it points to removed file:</para>
 
-<screen><userinput remap="install">sed -i 's@/lib@/usr/lib@' /usr/lib/libattr.la &amp;&amp;
+<screen><userinput remap="install">sed -i 's@/lib@/usr/lib@' /usr/lib/libattr.la
 ln -sfv ../../lib/libattr.so.1 /usr/lib/libattr.so</userinput></screen>
 
Index: chapter06/expat.xml
===================================================================
--- chapter06/expat.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter06/expat.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -60,5 +60,5 @@
     <para>If desired, install the documentation:</para>
 
-<screen><userinput remap="install">install -v -dm755 /usr/share/doc/expat-&expat-version; &amp;&amp;
+<screen><userinput remap="install">install -v -dm755 /usr/share/doc/expat-&expat-version;
 install -v -m644 doc/*.{html,png,css} /usr/share/doc/expat-&expat-version;</userinput></screen>
 
@@ -86,5 +86,4 @@
 
       <varlistentry id="xmlwf">
-         <!-- Don't remove the extra space, it prevents a FOP warning. -->
         <term><command>xmlwf </command></term>
         <listitem>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter06/glibc.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -177,5 +177,5 @@
     <command>nscd</command>:</para>
 
-<screen><userinput remap="install">cp -v ../glibc-&glibc-version;/nscd/nscd.conf /etc/nscd.conf &amp;&amp;
+<screen><userinput remap="install">cp -v ../glibc-&glibc-version;/nscd/nscd.conf /etc/nscd.conf
 mkdir -pv /var/cache/nscd</userinput></screen>
 
Index: chapter06/intltool.xml
===================================================================
--- chapter06/intltool.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter06/intltool.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -56,5 +56,5 @@
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make install &amp;&amp;
+<screen><userinput remap="install">make install
 install -v -m644 -D doc/I18N-HOWTO \
   /usr/share/doc/intltool-&intltool-version;/I18N-HOWTO</userinput></screen>
Index: chapter06/libcap.xml
===================================================================
--- chapter06/libcap.xml	(revision 6eb029d9c5ee901d132895e81fc86e2de9bdd6b4)
+++ chapter06/libcap.xml	(revision 099fa3db985861dabed00e1b5dc676a90e40b90f)
@@ -52,5 +52,5 @@
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make RAISE_SETFCAP=no prefix=/usr install &amp;&amp;
+<screen><userinput remap="install">make RAISE_SETFCAP=no prefix=/usr install
 chmod -v 0755 /usr/lib/libcap.so.2.22</userinput></screen>
 
@@ -60,5 +60,5 @@
     <filename class="directory">/usr/lib</filename> will need to be recreated:</para>
 
-<screen><userinput remap="install">mv -v /usr/lib/libcap.so.* /lib &amp;&amp;
+<screen><userinput remap="install">mv -v /usr/lib/libcap.so.* /lib
 ln -sfv ../../lib/libcap.so.2 /usr/lib/libcap.so</userinput></screen>
 