Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter01/changelog.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -38,4 +38,28 @@
 
     <listitem>
+      <para>2015-08-25</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Add an upstream patch for MPFR.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libpipeline-1.4.1.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-4.1.6.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to man-db-2.7.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add a patch to allow glibc to build properly on i386 systems.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Remove obsolete r* programs from inetutils.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2015-08-19</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter01/whatsnew.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -140,7 +140,7 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libpipeline &libpipeline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libtool &libtool-version;</para>
@@ -155,7 +155,7 @@
       <para>Make &make-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Man-pages &man-pages-version;</para>
@@ -247,4 +247,11 @@
     </listitem>
 -->
+    <listitem>
+      <para>&glibc-upstream-patch;</para>
+    </listitem>
+
+    <listitem>
+      <para>&mpfr-upstream-patch;</para>
+    </listitem>
 
     <listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter03/patches.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -59,4 +59,12 @@
 
     <varlistentry>
+      <term>Glibc i386 Patch - <token>&glibc-upstream-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-upstream-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
       <listitem>
@@ -65,11 +73,12 @@
       </listitem>
     </varlistentry>
-<!--    <varlistentry> -->
-<!--      <term>Ncurses GCC 5 Fixes Patch - <token>&ncurses-gcc5-buildfixes-patch-size;</token>:</term>
+
+    <varlistentry>
+      <term>MPFR Upstream Fixes Patch - <token>&mpfr-upstream-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&ncurses-gcc5-buildfixes-patch;"/></para>
-        <para>MD5 sum: <literal>&ncurses-gcc5-buildfixes-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&mpfr-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&mpfr-upstream-patch-md5;</literal></para>
       </listitem>
-    </varlistentry> -->
+    </varlistentry>
 
     <varlistentry>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter05/glibc.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -43,4 +43,8 @@
   <sect2 role="installation">
     <title>Installation of Glibc</title>
+
+    <para>First, fix a build problem that affects i386 systems:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc outside of the source
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/glibc.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -66,4 +66,8 @@
     Glibc autoconf tests would give false results and defeat the goal
     of achieving a clean build.</para>
+
+    <para>Now, fix a build problem that affects i386 systems:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc outside of the source
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/inetutils.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -52,8 +52,22 @@
             --disable-logger     \
             --disable-whois      \
+            --disable-rcp        \
+            --disable-rexec      \
+            --disable-rlogin     \
+            --disable-rsh        \
             --disable-servers</userinput></screen>
 
     <variablelist>
       <title>The meaning of the configure options:</title>
+
+      <varlistentry>
+        <term><parameter>--disable-r*</parameter></term>
+        <listitem>
+          <para>These parameters disable building obsolete programs that should
+          not be used due to security issues. The functions provided by these
+          programs can be provided by the <application>openssh</application>
+          package in the BLFS book.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>
@@ -180,44 +194,4 @@
       </varlistentry>
 
-      <varlistentry id="rcp">
-        <term><command>rcp</command></term>
-        <listitem>
-          <para>Performs remote file copy</para>
-          <indexterm zone="ch-system-inetutils rcp">
-            <primary sortas="b-rcp">rcp</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rexec">
-        <term><command>rexec</command></term>
-        <listitem>
-          <para>Executes commands on a remote host</para>
-          <indexterm zone="ch-system-inetutils rexec">
-            <primary sortas="b-rexec">rexec</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rlogin">
-        <term><command>rlogin</command></term>
-        <listitem>
-          <para>Performs remote login</para>
-          <indexterm zone="ch-system-inetutils rlogin">
-            <primary sortas="b-rlogin">rlogin</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rsh">
-        <term><command>rsh</command></term>
-        <listitem>
-          <para>Runs a remote shell</para>
-          <indexterm zone="ch-system-inetutils rsh">
-            <primary sortas="b-rsh">rsh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="talk">
         <term><command>talk</command></term>
Index: chapter06/mpfr.xml
===================================================================
--- chapter06/mpfr.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/mpfr.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -41,10 +41,10 @@
   <sect2 role="installation">
     <title>Installation of MPFR</title>
-<!--
+
     <para>First, apply the following patch to fix various bugs that have been
     addressed upstream:</para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../&mpfr-fixes-patch;</userinput></screen>
--->
+<screen><userinput remap="pre">patch -Np1 -i ../&mpfr-upstream-patch;</userinput></screen>
+
     <para>Prepare MPFR for compilation:</para>
 
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/revisedchroot.xml	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -42,5 +42,5 @@
   linkend="ch-system-kernfsmount"/>.</para>
 
-  <para>Finally, thre were several static libraries that were not supressed earlier
+  <para>Finally, there were several static libraries that were not supressed earlier
   in the chapter in order to satisfy the regression tests in several packages. These 
   libraries are from binutils, bzip2, e2fsprogs, <!--flex,--> libtool, and zlib.  If desired,
Index: general.ent
===================================================================
--- general.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ general.ent	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -1,5 +1,5 @@
-<!ENTITY version         "20150819-systemd">
+<!ENTITY version         "20150825-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "August 19th, 2015">
+<!ENTITY releasedate     "August 25th, 2015">
 <!ENTITY copyrightdate   "1999-2015"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.8">
Index: packages.ent
===================================================================
--- packages.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ packages.ent	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -358,8 +358,8 @@
 <!ENTITY libcap-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY libpipeline-version "1.4.0">
+<!ENTITY libpipeline-version "1.4.1">
 <!ENTITY libpipeline-size "787 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "660f4ac9340834a231d1516746d03d28">
+<!ENTITY libpipeline-md5 "e54590ec68d6c1239f67b5b44e92022c">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
 <!ENTITY libpipeline-ch6-du "8.2 MB">
@@ -376,10 +376,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "5">
+<!ENTITY linux-patch-version "6">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "81,080 KB">
+<!ENTITY linux-size "81,083 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "f23e1d4ce8f63e46db81d56e36281885">
+<!ENTITY linux-md5 "1dae0c808e34164cab3dfd57be88bd53">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -414,8 +414,8 @@
 <!ENTITY make-ch6-sbu "0.6 SBU">
 
-<!ENTITY man-db-version "2.7.1">
-<!ENTITY man-db-size "1,464 KB">
+<!ENTITY man-db-version "2.7.2">
+<!ENTITY man-db-size "1,467 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "88d32360e2ed18e05de9b528ad336fd8">
+<!ENTITY man-db-md5 "4b9480e4f1da04abb22ae7a9345ace6b">
 <!ENTITY man-db-home "http://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "33 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ patches.ent	(revision 102c4bb675eb4b18e4be2719cad4b4b43a7d4e91)
@@ -19,13 +19,11 @@
 <!ENTITY coreutils-i18n-patch-size "141 KB">
 
-<!--
-<!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
-<!ENTITY gcc-upstream-patch-md5 "f4d9c1a9c73c542a79e24780b1318533">
-<!ENTITY gcc-upstream-patch-size "72 KB">
--->
-
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
 <!ENTITY glibc-fhs-patch-md5 "9a5997c3452909b1769918c759eff8a2">
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
+
+<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_i386_fix-1.patch">
+<!ENTITY glibc-upstream-patch-md5 "cfb3cb46074a833ac5729be79e4f2592">
+<!ENTITY glibc-upstream-patch-size "1.9 KB">
 
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
@@ -33,21 +31,7 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
-<!--
-<!ENTITY mpfr-fixes-patch "mpfr-&mpfr-version;-upstream_fixes-3.patch">
-<!ENTITY mpfr-fixes-patch-md5 "5ba8bafe42920d6e570567529629bc59">
-<!ENTITY mpfr-fixes-patch-size "38 KB">
--->
-
-<!--
-<!ENTITY ncurses-gcc5-buildfixes-patch "ncurses-&ncurses-version;-gcc5_buildfixes-1.patch">
-<!ENTITY ncurses-gcc5-buildfixes-patch-md5 "f9015f670940350a3fc3c2ef347e2b33">
-<!ENTITY ncurses-gcc5-buildfixes-patch-size "4 KB">
--->
-
-<!--
-<!ENTITY perl-gcc5-fixes-patch "perl-&perl-version;-gcc5_fixes-1.patch">
-<!ENTITY perl-gcc5-fixes-patch-md5 "30f4907f63ec3ef7d50fa55e12d2923e">
-<!ENTITY perl-gcc5-fixes-patch-size "8 KB">
--->
+<!ENTITY mpfr-upstream-patch "mpfr-&mpfr-version;-upstream_fixes-1.patch">
+<!ENTITY mpfr-upstream-patch-md5 "2044abd90351861311c9aafcfb0ce864">
+<!ENTITY mpfr-upstream-patch-size "81 KB">
 
 <!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fixes-3.patch">