Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2d3b3dfcb0913c8d34bc709b9320f7d92d32b9cc)
+++ chapter01/changelog.xml	(revision 111bb20d3b9479e3fb2126dcf4715d0680f7356c)
@@ -36,4 +36,19 @@
     </listitem>
 -->
+    <listitem>
+      <para>2014-03-23</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to eudev-1.5.3. Fixes 
+          <ulink url="&lfs-ticket-root;3514">#3514</ulink> and
+          <ulink url="&lfs-ticket-root;3520">#3520</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.63. Fixes 
+          <ulink url="&lfs-ticket-root;3522">#3522</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2014-03-21</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 2d3b3dfcb0913c8d34bc709b9320f7d92d32b9cc)
+++ chapter01/whatsnew.xml	(revision 111bb20d3b9479e3fb2126dcf4715d0680f7356c)
@@ -234,8 +234,8 @@
     </listitem>
     <listitem>
-      <para>eudev-1.5.1</para>
-    </listitem>
-    <listitem>
-      <para>eudev-1.5.1-manpages</para>
+      <para>eudev-&eudev-version;</para>
+    </listitem>
+    <listitem>
+      <para>eudev-&eudev-version;-manpages</para>
     </listitem>
   </itemizedlist>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision 2d3b3dfcb0913c8d34bc709b9320f7d92d32b9cc)
+++ chapter06/eudev.xml	(revision 111bb20d3b9479e3fb2126dcf4715d0680f7356c)
@@ -87,7 +87,27 @@
 <screen><userinput remap="install">make install</userinput></screen>
 
-<para>Finally, install the man pages:</para>
+<para>Now, install the man pages:</para>
 
 <screen><userinput remap="install">tar -xvf ../eudev-1.5.1-manpages.tar.bz2 -C /usr/share</userinput></screen>
+
+    <para>Finally, create some custom rules that are not covered as a part of the
+    defaults:</para>
+
+<screen><userinput remap="install">cat &gt; /etc/udev/rules.d/55-lfs.rules &lt;&lt; "EOF"
+# /etc/udev/rules.d/55-lfs.rules: Rule definitions for LFS.
+
+# Core kernel devices
+
+# This causes the system clock to be set as soon as /dev/rtc becomes available.
+SUBSYSTEM=="rtc", ACTION=="add", MODE="0644", RUN+="/etc/rc.d/init.d/setclock start"
+KERNEL=="rtc", ACTION=="add", MODE="0644", RUN+="/etc/rc.d/init.d/setclock start"
+
+# Comms devices
+
+KERNEL=="ippp[0-9]*",       GROUP="dialout"
+KERNEL=="isdn[0-9]*",       GROUP="dialout"
+KERNEL=="isdnctrl[0-9]*",   GROUP="dialout"
+KERNEL=="dcbri[0-9]*",      GROUP="dialout"
+EOF</userinput></screen>
 
   </sect2>
Index: general.ent
===================================================================
--- general.ent	(revision 2d3b3dfcb0913c8d34bc709b9320f7d92d32b9cc)
+++ general.ent	(revision 111bb20d3b9479e3fb2126dcf4715d0680f7356c)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SVN-20140321">
-<!ENTITY releasedate     "March 21, 2014">
+<!ENTITY version         "SVN-20140323">
+<!ENTITY releasedate     "March 23, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision 2d3b3dfcb0913c8d34bc709b9320f7d92d32b9cc)
+++ packages.ent	(revision 111bb20d3b9479e3fb2126dcf4715d0680f7356c)
@@ -149,10 +149,10 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY eudev-version "1.5.1">
-<!ENTITY eudev-size "1,614 KB">
+<!ENTITY eudev-version "1.5.3">
+<!ENTITY eudev-size "1,684 KB">
 <!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "c22eb3aeb02b1db32473f4a91dcc58c8">
+<!ENTITY eudev-md5 "51380938b489385cc394f4ebabc048f0">
 <!ENTITY eudev-home "http://www.gentoo.org/proj/en/eudev/">
-<!ENTITY eudev-ch6-du "20 MB">
+<!ENTITY eudev-ch6-du "7.4 MB">
 <!ENTITY eudev-ch6-sbu "0.3 SBU">
 
@@ -414,8 +414,8 @@
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.62">
-<!ENTITY man-pages-size "1,179 KB">
+<!ENTITY man-pages-version "3.63">
+<!ENTITY man-pages-size "1,186 KB">
 <!ENTITY man-pages-url "http://www.kernel.org/pub/linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "3877e1539dcb46bd23605b4d9d73c57d">
+<!ENTITY man-pages-md5 "4ad30c5277bba95cf6cdbaad7c3b3470">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "23 MB">