Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter01/changelog.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -37,14 +37,38 @@
 -->
     <listitem>
-      <para>2016-05-17</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Updated to linux-4.6. Merged from trunk r11060.</para>
-        </listitem>
-        <listitem>
-          <para>[renodr] - Update to perl-5.24.0. Merged from trunk r11060.</para>
-        </listitem>
-        <listitem>
-          <para>[renodr] - Updated to tar-1.29. Merged from trunk r11060.</para>
+      <para>2016-05-18</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Enhance the stripping commands at the end
+          of Chapter 6. Merged from trunk r11064.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Added stages page to Chapter 2. Merged from trunk
+          r11063.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Made editorial changes to the kernel section. Merged
+          from trunk r11062.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Moved Host System Requirements to Chapter 2
+          and made minor editorial changes. Merged from trunk r11061.</para>
+        </listitem>
+     </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2016-05-18</para>
+      <itemizedlist>
+        <listitem>
+          <para>[rendor] - Updated to tar-1.29. Merged from trunk r11060.</para>
+        </listitem>
+        <listitem>
+          <para>[rendor] - Updated to linux-4.6. Merged from trunk
+          r11060.</para>
+        </listitem>
+        <listitem>
+          <para>[rendor] - Updated to perl-5.24.0. Merged from trunk
+          r11060.</para>
         </listitem>
       </itemizedlist>
@@ -56,17 +80,17 @@
         <listitem>
           <para>[renodr] - Updated to file-5.27. Merged from trunk
-          r11056.</para>
+          r11057.</para>
         </listitem>
         <listitem>
           <para>[renodr] - Updated to man-pages-4.06. Merged from trunk
-          r11056.</para>
+          r11057.</para>
         </listitem>
         <listitem>
           <para>[renodr] - Updated to perl-5.22.2. Merged from trunk
-          r11056.</para>
+          r11057.</para>
         </listitem>
         <listitem>
           <para>[renodr] - Updated size requirements. Merged from trunk
-          r11056.</para>
+          r11057.</para>
         </listitem>
       </itemizedlist>
Index: chapter02/chapter02.xml
===================================================================
--- chapter02/chapter02.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter02/chapter02.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -13,4 +13,6 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hostreqs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="stages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="creatingpartition.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="creatingfilesystem.xml"/>
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
+++ chapter02/hostreqs.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -0,0 +1,243 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="pre-hostreqs" xreflabel="Host System Requirements">
+  <?dbhtml filename="hostreqs.html"?>
+
+  <title>Host System Requirements</title>
+
+    <para>Your host system should have the following software with the
+    minimum versions indicated. This should not be an issue for most
+    modern Linux distributions. Also note that many distributions will
+    place software headers into separate packages, often in the form of
+    <quote>&lt;package-name&gt;-devel</quote> or
+    <quote>&lt;package-name&gt;-dev</quote>. Be sure to install those if
+    your distribution provides them.</para>
+
+   <para>Earlier versions of the listed software packages may work, but have
+   not been tested.</para>
+
+  <itemizedlist spacing="compact">
+
+    <listitem>
+      <para><emphasis role="strong">Bash-3.2</emphasis> (/bin/sh
+      should be a symbolic or hard link to bash)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Binutils-2.17</emphasis> (Versions
+      greater than &binutils-version; are not recommended as they have
+      not been tested)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Bison-2.3</emphasis> (/usr/bin/yacc
+      should be a link to bison or small script that executes bison)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Bzip2-1.0.4</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Coreutils-6.9</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Diffutils-2.8.1</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Findutils-4.2.31</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Gawk-4.0.1</emphasis> (/usr/bin/awk
+      should be a link to gawk)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">GCC-4.7</emphasis> including the C++
+      compiler, <command>g++</command> (Versions greater than &gcc-version; are
+      not recommended as they have not been tested)</para>
+
+      <note><para>On some distributions, there have been reports that some
+      libraries used by gcc can be in an inconsistent state and that this
+      interferes with building some LFS packages.  To check this, look in
+      /usr/lib and possibly /usr/lib64 for libgmp.la, libmpfr.la, and
+      libmpc.la.  Either all three should be present or absent, but not only
+      one or two.  If the problem exists on your system, either rename or
+      delete the .la files or install the appropriate missing
+      package.</para></note>
+
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Glibc-2.11</emphasis> (Versions
+      greater than &glibc-version; are not recommended as they have
+      not been tested)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Grep-2.5.1a</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Gzip-1.3.12</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Linux Kernel-&min-kernel;</emphasis></para>
+
+      <para>The reason for the kernel version requirement is that we specify
+      that version when building <application>glibc</application> in Chapter 6
+      at the recommendation of the developers.  It is also required by
+      udev.</para>
+
+      <para>If the host kernel is earlier than &min-kernel; you will need to replace
+      the kernel with a more up to date version. There are two ways
+      you can go about this. First, see if your Linux vendor provides a &min-kernel;
+      or later kernel package. If so, you may wish to install it. If your
+      vendor doesn't offer an acceptable kernel package, or you would prefer not to
+      install it, you can compile a kernel yourself. Instructions for
+      compiling the kernel and configuring the boot loader (assuming the host
+      uses GRUB) are located in <xref linkend="chapter-bootable"/>.</para>
+
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">M4-1.4.10</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Make-3.81</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Patch-2.5.4</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Perl-5.8.8</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Sed-4.1.5</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Tar-1.22</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Texinfo-4.7</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Xz-5.0.0</emphasis></para>
+    </listitem>
+
+  </itemizedlist>
+
+  <important>
+    <para>Note that the symlinks mentioned above are required to build an LFS
+    system using the instructions contained within this book. Symlinks that
+    point to other software (such as dash, mawk, etc.) may work, but are not
+    tested or supported by the LFS development team, and may require either
+    deviation from the instructions or additional patches to some
+    packages.</para>
+  </important>
+
+  <!-- Use an empty sect2 element to prevent a pdf warning.  -->
+  <bridgehead renderas="sect2" 
+              id="version-check" 
+              xreflabel="Host System Requirements">
+  </bridgehead>
+  <!--<title> </title>-->
+
+  <para >To see whether your host system has all the appropriate versions, and
+  the ability to compile programs, run the following:</para>
+
+<!-- ANY additional lines in the script cause a pdf rendering problem-->
+<screen role="nodump"><userinput>cat &gt; version-check.sh &lt;&lt; "EOF"
+<literal>#!/bin/bash
+# Simple script to list version numbers of critical development tools
+export LC_ALL=C
+bash --version | head -n1 | cut -d" " -f2-4
+MYSH=$(readlink -f /bin/sh)
+echo "/bin/sh -&gt; $MYSH"
+echo $MYSH | grep -q bash || echo "ERROR: /bin/sh does not point to bash"
+unset MYSH
+
+echo -n "Binutils: "; ld --version | head -n1 | cut -d" " -f3-
+bison --version | head -n1
+
+if [ -h /usr/bin/yacc ]; then
+  echo "/usr/bin/yacc -> `readlink -f /usr/bin/yacc`";
+elif [ -x /usr/bin/yacc ]; then
+  echo yacc is `/usr/bin/yacc --version | head -n1`
+else
+  echo "yacc not found" 
+fi
+
+bzip2 --version 2&gt;&amp;1 &lt; /dev/null | head -n1 | cut -d" " -f1,6-
+echo -n "Coreutils: "; chown --version | head -n1 | cut -d")" -f2
+diff --version | head -n1
+find --version | head -n1
+gawk --version | head -n1
+
+if [ -h /usr/bin/awk ]; then
+  echo "/usr/bin/awk -&gt; `readlink -f /usr/bin/awk`";
+elif [ -x /usr/bin/awk ]; then
+  echo awk is `/usr/bin/awk --version | head -n1`
+else 
+  echo "awk not found" 
+fi
+
+gcc --version | head -n1
+g++ --version | head -n1
+ldd --version | head -n1 | cut -d" " -f2-  # glibc version
+grep --version | head -n1
+gzip --version | head -n1
+cat /proc/version
+m4 --version | head -n1
+make --version | head -n1
+patch --version | head -n1
+echo Perl `perl -V:version`
+sed --version | head -n1
+tar --version | head -n1
+makeinfo --version | head -n1
+xz --version | head -n1
+<?hard-pagebreak?>
+echo 'int main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
+if [ -x dummy ]
+  then echo "g++ compilation OK";
+  else echo "g++ compilation failed"; fi
+rm -f dummy.c dummy</literal>
+EOF
+
+bash version-check.sh</userinput></screen>
+
+  <para>Also check for some library consistency:</para>
+
+<screen role="nodump"><userinput>cat &gt; library-check.sh &lt;&lt; "EOF"
+<literal>#!/bin/bash
+for lib in lib{gmp,mpfr,mpc}.la; do
+  echo $lib: $(if find /usr/lib* -name $lib|
+               grep -q $lib;then :;else echo not;fi) found
+done
+unset lib</literal>
+EOF
+
+bash library-check.sh</userinput></screen>
+
+<para>The files identified by this script should be all present
+or all absent, but not only one or two present.</para>
+
+
+<!--</sect2>-->
+</sect1>
Index: chapter02/introduction.xml
===================================================================
--- chapter02/introduction.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter02/introduction.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -11,7 +11,8 @@
   <title>Introduction</title>
 
-  <para>In this chapter, the partition which will host the LFS system is
-  prepared. We will create the partition itself, create a file system
-  on it, and mount it.</para>
+  <para>In this chapter, the host tools needed for building LFS
+  are checked and, if necessary, installed.  Then a partition which will 
+  host the LFS system is prepared. We will create the partition 
+  itself, create a file system on it, and mount it.</para>
 
 </sect1>
Index: chapter05/perl.xml
===================================================================
--- chapter05/perl.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter05/perl.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -43,5 +43,4 @@
   <sect2 role="installation">
     <title>Installation of Perl</title>
-
     <para>Prepare Perl for compilation:</para>
 
Index: chapter06/strippingagain.xml
===================================================================
--- chapter06/strippingagain.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter06/strippingagain.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -40,6 +40,12 @@
   <para>Now the binaries and libraries can be safely stripped:</para>
 
-<screen><userinput>/tools/bin/find /{,usr/}{bin,lib,sbin} -type f \
-    -exec /tools/bin/strip --strip-debug '{}' ';'</userinput></screen>
+<screen><userinput>/tools/bin/find /usr/lib -type f -name \*.a \
+   -exec /tools/bin/strip --strip-debug {} ';'
+
+/tools/bin/find /lib /usr/lib -type f -name \*.so* \
+   -exec /tools/bin/strip --strip-unneeded {} ';'
+
+/tools/bin/find /{bin,sbin} /usr/{bin,sbin,libexec} -type f \
+    -exec /tools/bin/strip --strip-all {} ';'</userinput></screen>
 
   <para>A large number of files will be reported as having their file
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ chapter08/kernel.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -123,19 +123,20 @@
     </variablelist>
 
-<screen role="nodump"><userinput>make LANG=<replaceable>&lt;host_LANG_value&gt;</replaceable> LC_ALL= menuconfig</userinput></screen>
+<screen role="nodump"><userinput>make menuconfig</userinput></screen>
 
     <variablelist>
-      <title>The meaning of the make parameters:</title>
+      <title>The meaning of optional make environment variables:</title>
 
       <varlistentry>
         <term><parameter>LANG=&lt;host_LANG_value&gt; LC_ALL=</parameter></term>
         <listitem>
-          <para>This establishes the locale setting to the one used on the host.
-          This is needed for a proper menuconfig ncurses interface line
-          drawing on UTF-8 linux text console.</para>
-
-          <para>Be sure to replace <replaceable>&lt;host_LANG_value&gt;</replaceable>
-          by the value of the <envar>$LANG</envar> variable from your host.
-          If not set, you could use instead the host's value of <envar>$LC_ALL</envar>
+          <para>This establishes the locale setting to the one used on the
+          host.  This may be needed for a proper menuconfig ncurses interface
+          line drawing on a UTF-8 linux text console.</para>
+
+          <para>If used, be sure to replace
+          <replaceable>&lt;host_LANG_value&gt;</replaceable> by the value of
+          the <envar>$LANG</envar> variable from your host.  You can
+          alternatively use instead the host's value of <envar>$LC_ALL</envar>
           or <envar>$LC_CTYPE</envar>.</para>
         </listitem>
@@ -175,4 +176,12 @@
     required to complete the installation. Some files need to be copied to
     the <filename class="directory">/boot</filename> directory.</para>
+
+    <caution>
+      <para>If the host system has a separate /boot partition, the
+      files copied below should go there. The easiest way to do that 
+      is to bind /boot on the host to /mnt/lfs/boot before proceeding:</para>
+
+<screen role="nodump"><userinput>mount --bind /boot /mnt/lfs/boot</userinput></screen>
+    </caution>
 
     <para>The path to the kernel image may vary depending on the platform being
Index: general.ent
===================================================================
--- general.ent	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ general.ent	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -1,5 +1,5 @@
-<!ENTITY version         "20160517-systemd">
+<!ENTITY version         "20160518-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "May 17th, 2016">
+<!ENTITY releasedate     "May 18th, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
Index: packages.ent
===================================================================
--- packages.ent	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ packages.ent	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -164,5 +164,5 @@
 <!ENTITY file-size "756 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "de75665721e3adb0a1d7e03b90c3d7a2">
+<!ENTITY file-md5 "18f1c60aa27a296a26c2e9389ac92ba5">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "15 MB">
@@ -378,5 +378,5 @@
 <!ENTITY linux-minor-version "6">
 <!ENTITY linux-patch-version "0">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> -->
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
 <!ENTITY linux-size "87,365 KB">
@@ -426,5 +426,5 @@
 <!ENTITY man-pages-size "1,419 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "de75665721e3adb0a1d7e03b90c3d7a2">
+<!ENTITY man-pages-md5 "a7b6c7e2a03a4b0d61eee4e52de68a42">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "26 MB">
@@ -441,5 +441,5 @@
 <!ENTITY mpfr-version "3.1.4">
 <!ENTITY mpfr-size "1,096 KB">
-<!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
+<!ENTITY mpfr-url "&gnu;mpfr/mpfr-&mpfr-version;.tar.xz">
 <!ENTITY mpfr-md5 "064b2c18185038e404a401b830d59be8">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
Index: ologue/hostreqs.xml
===================================================================
--- prologue/hostreqs.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ 	(revision )
@@ -1,238 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="pre-hostreqs" xreflabel="Host System Requirements">
-  <?dbhtml filename="hostreqs.html"?>
-
-  <title>Host System Requirements</title>
-
-    <para>Your host system should have the following software with the
-    minimum versions indicated. This should not be an issue for most
-    modern Linux distributions. Also note that many distributions will
-    place software headers into separate packages, often in the form of
-    <quote>&lt;package-name&gt;-devel</quote> or
-    <quote>&lt;package-name&gt;-dev</quote>. Be sure to install those if
-    your distribution provides them.</para>
-
-   <para>Earlier versions of the listed software packages may work, but has not
-   been tested.</para>
-
-  <itemizedlist spacing="compact">
-
-    <listitem>
-      <para><emphasis role="strong">Bash-3.2</emphasis> (/bin/sh
-      should be a symbolic or hard link to bash)</para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Binutils-2.17</emphasis> (Versions
-      greater than &binutils-version; are not recommended as they have
-      not been tested)</para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Bison-2.3</emphasis> (/usr/bin/yacc
-      should be a link to bison or small script that executes bison)</para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Bzip2-1.0.4</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Coreutils-6.9</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Diffutils-2.8.1</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Findutils-4.2.31</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Gawk-4.0.1</emphasis> (/usr/bin/awk
-      should be a link to gawk)</para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">GCC-4.7</emphasis> including the C++
-      compiler, <command>g++</command> (Versions greater than &gcc-version; are
-      not recommended as they have not been tested)</para>
-
-      <note><para>On some distributions, there have been reports that some
-      libraries used by gcc can be in an inconsistent state and that this
-      interferes with building some LFS packages.  To check this, look in
-      /usr/lib and possibly /usr/lib64 for libgmp.la, libmpfr.la, and
-      libmpc.la.  Either all three should be present or absent, but not only
-      one or two.  If the problem exists on your system, either rename or
-      delete the .la files or install the appropriate missing
-      package.</para></note>
-
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Glibc-2.11</emphasis> (Versions
-      greater than &glibc-version; are not recommended as they have
-      not been tested)</para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Grep-2.5.1a</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Gzip-1.3.12</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Linux Kernel-&min-kernel;</emphasis></para>
-
-      <para>The reason for the kernel version requirement is that we specify
-      that version when building <application>glibc</application> in Chapter 6
-      at the recommendation of the developers.  It is also required by
-      udev.</para>
-
-      <para>If the host kernel is earlier than &min-kernel; you will need to replace
-      the kernel with a more up to date version. There are two ways
-      you can go about this. First, see if your Linux vendor provides a &min-kernel;
-      or later kernel package. If so, you may wish to install it. If your
-      vendor doesn't offer an acceptable kernel package, or you would prefer not to
-      install it, you can compile a kernel yourself. Instructions for
-      compiling the kernel and configuring the boot loader (assuming the host
-      uses GRUB) are located in <xref linkend="chapter-bootable"/>.</para>
-
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">M4-1.4.10</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Make-3.81</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Patch-2.5.4</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Perl-5.8.8</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Sed-4.1.5</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Tar-1.18</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Texinfo-4.7</emphasis></para>
-    </listitem>
-
-    <listitem>
-      <para><emphasis role="strong">Xz-5.0.0</emphasis></para>
-    </listitem>
-
-  </itemizedlist>
-
-  <para>Note that the symlinks mentioned above are required to build an LFS
-  system using the instructions contained within this book. Symlinks that
-  point to other software (such as dash, mawk, etc.) may work, but are not
-  tested or supported by the LFS development team, and may require either
-  deviation from the instructions or additional patches to some
-  packages.</para>
-
-  <!-- Use an empty sect2 element to prevent a pdf warning.  -->
-  <sect2 id="version-check" xreflabel="Section vii, Host System Requirements">
-  <title> </title>
-
-  <para >To see whether your host system has all the appropriate versions, and
-  the ability to compile programs, run the following:</para>
-
-<!-- ANY additional lines in the script cause a pdf rendering problem-->
-<screen role="nodump"><userinput>cat &gt; version-check.sh &lt;&lt; "EOF"
-<literal>#!/bin/bash
-# Simple script to list version numbers of critical development tools
-export LC_ALL=C
-bash --version | head -n1 | cut -d" " -f2-4
-MYSH=$(readlink -f /bin/sh)
-echo "/bin/sh -&gt; $MYSH"
-echo $MYSH | grep -q bash || echo "ERROR: /bin/sh does not point to bash"
-unset MYSH
-
-echo -n "Binutils: "; ld --version | head -n1 | cut -d" " -f3-
-bison --version | head -n1
-
-if [ -h /usr/bin/yacc ]; then
-  echo "/usr/bin/yacc -> `readlink -f /usr/bin/yacc`";
-elif [ -x /usr/bin/yacc ]; then
-  echo yacc is `/usr/bin/yacc --version | head -n1`
-else
-  echo "yacc not found" 
-fi
-
-bzip2 --version 2&gt;&amp;1 &lt; /dev/null | head -n1 | cut -d" " -f1,6-
-echo -n "Coreutils: "; chown --version | head -n1 | cut -d")" -f2
-diff --version | head -n1
-find --version | head -n1
-gawk --version | head -n1
-
-if [ -h /usr/bin/awk ]; then
-  echo "/usr/bin/awk -&gt; `readlink -f /usr/bin/awk`";
-elif [ -x /usr/bin/awk ]; then
-  echo awk is `/usr/bin/awk --version | head -n1`
-else 
-  echo "awk not found" 
-fi
-
-gcc --version | head -n1
-g++ --version | head -n1
-ldd --version | head -n1 | cut -d" " -f2-  # glibc version
-grep --version | head -n1
-gzip --version | head -n1
-cat /proc/version
-m4 --version | head -n1
-make --version | head -n1
-patch --version | head -n1
-echo Perl `perl -V:version`
-sed --version | head -n1
-tar --version | head -n1
-makeinfo --version | head -n1
-xz --version | head -n1
-<?hard-pagebreak?>
-echo 'int main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
-if [ -x dummy ]
-  then echo "g++ compilation OK";
-  else echo "g++ compilation failed"; fi
-rm -f dummy.c dummy</literal>
-EOF
-
-bash version-check.sh</userinput></screen>
-
-  <para>Also check for some library consistency:</para>
-
-<screen role="nodump"><userinput>cat &gt; library-check.sh &lt;&lt; "EOF"
-<literal>#!/bin/bash
-for lib in lib{gmp,mpfr,mpc}.la; do
-  echo $lib: $(if find /usr/lib* -name $lib|
-               grep -q $lib;then :;else echo not;fi) found
-done
-unset lib</literal>
-EOF
-
-bash library-check.sh</userinput></screen>
-
-<para>The files identified by this script should be all present
-or all absent, but not only one or two present.</para>
-
-
-</sect2>
-</sect1>
Index: prologue/preface.xml
===================================================================
--- prologue/preface.xml	(revision 2a60cf456075c728a31a6cba7fdf94d4429ad579)
+++ prologue/preface.xml	(revision 121f4ccecca519de05bcf48a42980fe94398e75a)
@@ -18,5 +18,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="why.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="prerequisites.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hostreqs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="typography.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="organization.xml"/>